<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>AddressEditDialog</name>
    <filename>classAddressEditDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>AddressEditWidget</name>
    <filename>classAddressEditWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>AddressSelectionWidget</name>
    <filename>classAddressSelectionWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>selectionChanged</name>
      <anchorfile>classAddressSelectionWidget.html</anchorfile>
      <anchor>ace710219d30a7797168f271dad08f69d</anchor>
      <arglist>(const KABC::Address &amp;address)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressSelectionWidget</name>
      <anchorfile>classAddressSelectionWidget.html</anchorfile>
      <anchor>af9e3686b48705885e6e1f0d4742991b7</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~AddressSelectionWidget</name>
      <anchorfile>classAddressSelectionWidget.html</anchorfile>
      <anchor>af9ef4c7fddb83be02d8dd9bc00ed3deb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::Address</type>
      <name>currentAddress</name>
      <anchorfile>classAddressSelectionWidget.html</anchorfile>
      <anchor>a75f6f6637c5d298fd0cf5cf93cfe4d86</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAddresses</name>
      <anchorfile>classAddressSelectionWidget.html</anchorfile>
      <anchor>a7f5d07e828f43ddff6a696f1f28c18d7</anchor>
      <arglist>(const KABC::Address::List &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentAddress</name>
      <anchorfile>classAddressSelectionWidget.html</anchorfile>
      <anchor>a36cf9f381400e4a61ee359c2cd17b49d</anchor>
      <arglist>(const KABC::Address &amp;address)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddressTypeCombo</name>
    <filename>classAddressTypeCombo.html</filename>
    <member kind="function">
      <type></type>
      <name>AddressTypeCombo</name>
      <anchorfile>classAddressTypeCombo.html</anchorfile>
      <anchor>ab10129fb602a699dc7348a2e0c07accb</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~AddressTypeCombo</name>
      <anchorfile>classAddressTypeCombo.html</anchorfile>
      <anchor>ae442eb1a2e876a6469cff896ca218ab7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classAddressTypeCombo.html</anchorfile>
      <anchor>ac6db6619c7389b7e2dd1c8ef9f3ada3a</anchor>
      <arglist>(KABC::Address::Type type)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Address::Type</type>
      <name>type</name>
      <anchorfile>classAddressTypeCombo.html</anchorfile>
      <anchor>af6b28e36c2b0923e52ef0d63668e988f</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AutoQPointer</name>
    <filename>classAutoQPointer.html</filename>
    <templarg>T</templarg>
  </compound>
  <compound kind="class">
    <name>CategoriesEditWidget</name>
    <filename>classCategoriesEditWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>CollectionFilterModel</name>
    <filename>classCollectionFilterModel.html</filename>
    <member kind="function">
      <type></type>
      <name>CollectionFilterModel</name>
      <anchorfile>classCollectionFilterModel.html</anchorfile>
      <anchor>adc219e34f565bb91668047fbda2f89ab</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addContentMimeTypeFilter</name>
      <anchorfile>classCollectionFilterModel.html</anchorfile>
      <anchor>a3d09b6997f9a6dd53d7fa4bbb2d0c9c4</anchor>
      <arglist>(const QString &amp;mimeType)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRightsFilter</name>
      <anchorfile>classCollectionFilterModel.html</anchorfile>
      <anchor>abfcbf3b937b2b41ceafe3596b52b9f27</anchor>
      <arglist>(Akonadi::Collection::Rights rights)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ContactEditorWidget</name>
    <filename>classContactEditorWidget.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>DisplayMode</name>
      <anchorfile>classContactEditorWidget.html</anchorfile>
      <anchor>ad26ae9f67f338a96b60bc28b18af0595</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactEditorWidget</name>
      <anchorfile>classContactEditorWidget.html</anchorfile>
      <anchor>a93e91d788383ae334507012f472438ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadContact</name>
      <anchorfile>classContactEditorWidget.html</anchorfile>
      <anchor>a2d2ca8e020df16169fb1f70b813ae6b8</anchor>
      <arglist>(const KABC::Addressee &amp;contact, const Akonadi::ContactMetaData &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classContactEditorWidget.html</anchorfile>
      <anchor>a513c16162122aabc33e4fb943f53ddd8</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>storeContact</name>
      <anchorfile>classContactEditorWidget.html</anchorfile>
      <anchor>af80ed49f1cb63f79c977ec20856c84fb</anchor>
      <arglist>(KABC::Addressee &amp;contact, Akonadi::ContactMetaData &amp;) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CustomField</name>
    <filename>classCustomField.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Scope</name>
      <anchorfile>classCustomField.html</anchorfile>
      <anchor>afb8c0ff840724dd8673c1ed37a745a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>LocalScope</name>
      <anchorfile>classCustomField.html</anchorfile>
      <anchor>afb8c0ff840724dd8673c1ed37a745a23a44e3913f609d50d24545604b1198d98d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GlobalScope</name>
      <anchorfile>classCustomField.html</anchorfile>
      <anchor>afb8c0ff840724dd8673c1ed37a745a23a57b748df88eaf0d99bf72647d33a0496</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ExternalScope</name>
      <anchorfile>classCustomField.html</anchorfile>
      <anchor>afb8c0ff840724dd8673c1ed37a745a23a553428f522d163af570594d5bdc97548</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CustomFieldManager</name>
    <filename>classCustomFieldManager.html</filename>
  </compound>
  <compound kind="class">
    <name>DisplayNameEditWidget</name>
    <filename>classDisplayNameEditWidget.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>DisplayType</name>
      <anchorfile>classDisplayNameEditWidget.html</anchorfile>
      <anchor>a4f7bffa5663101984959c1954ab3a85e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>SimpleName</name>
      <anchorfile>classDisplayNameEditWidget.html</anchorfile>
      <anchor>a4f7bffa5663101984959c1954ab3a85ea6a5e469dee3c6be0c3894f973d59148e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>FullName</name>
      <anchorfile>classDisplayNameEditWidget.html</anchorfile>
      <anchor>a4f7bffa5663101984959c1954ab3a85ea8a4c5bb8272e3f3f59e146271d93d5f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ReverseNameWithComma</name>
      <anchorfile>classDisplayNameEditWidget.html</anchorfile>
      <anchor>a4f7bffa5663101984959c1954ab3a85ea78d8d9d0bc919440725a94df5e1f54b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ReverseName</name>
      <anchorfile>classDisplayNameEditWidget.html</anchorfile>
      <anchor>a4f7bffa5663101984959c1954ab3a85ea46a27ae8d43442def6b67bd2104cd1c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Organization</name>
      <anchorfile>classDisplayNameEditWidget.html</anchorfile>
      <anchor>a4f7bffa5663101984959c1954ab3a85ea3262590ab38a451e937c0ee5c7002fac</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>CustomName</name>
      <anchorfile>classDisplayNameEditWidget.html</anchorfile>
      <anchor>a4f7bffa5663101984959c1954ab3a85eaae8e9bc8b4c24344866128d74271c033</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EmailEditWidget</name>
    <filename>classEmailEditWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>IMEditWidget</name>
    <filename>classIMEditWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>KDatePickerPopup</name>
    <filename>classKDatePickerPopup.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dateChanged</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>ac11d3e718d1a59bd3479fcac6b746c53</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDatePickerPopup</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>aca6f0824087b6e93002ce06aea15197b</anchor>
      <arglist>(Items items=DatePicker, const QDate &amp;date=QDate::currentDate(), QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>KDatePicker *</type>
      <name>datePicker</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>a5ae48328acc956ee13f236441c6c6d19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>items</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>a7f36cb1da4f6209ec226335eda642dd3</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KEditTagsDialog</name>
    <filename>classKEditTagsDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>NameEditWidget</name>
    <filename>classNameEditWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>nameChanged</name>
      <anchorfile>classNameEditWidget.html</anchorfile>
      <anchor>a6350bdeb937446b7f9ede17d3b25509e</anchor>
      <arglist>(const KABC::Addressee &amp;contact)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneEditWidget</name>
    <filename>classPhoneEditWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>PhoneEditWidget</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>aa266d798998f3410d0b429520accd024</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PhoneEditWidget</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a4d5c3e52fcba04d1bb7e2774207eaff9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadContact</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a785106a757134baf2ba7e8d3de664566</anchor>
      <arglist>(const KABC::Addressee &amp;contact)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a81c3e3ef60bcfa1fb8308da405380d53</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>storeContact</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a81cdaacb784c75a64c3b064d00182f11</anchor>
      <arglist>(KABC::Addressee &amp;contact) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneNumberListWidget</name>
    <filename>classPhoneNumberListWidget.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>add</name>
      <anchorfile>classPhoneNumberListWidget.html</anchorfile>
      <anchor>a21b47a2bd19aec3fa1ac154fd8d87f2c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classPhoneNumberListWidget.html</anchorfile>
      <anchor>ab581c6de81aa843a14c6abafd5b5aad4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PhoneNumberListWidget</name>
      <anchorfile>classPhoneNumberListWidget.html</anchorfile>
      <anchor>abb512861df8b4ed379aaa29acaf38bf3</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PhoneNumberListWidget</name>
      <anchorfile>classPhoneNumberListWidget.html</anchorfile>
      <anchor>a5e462effdfa1f818afc2ace609696e82</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>phoneNumberCount</name>
      <anchorfile>classPhoneNumberListWidget.html</anchorfile>
      <anchor>a9dc34caaf3241839817aeedaba885ceb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KABC::PhoneNumber::List</type>
      <name>phoneNumbers</name>
      <anchorfile>classPhoneNumberListWidget.html</anchorfile>
      <anchor>a5336388538c05c0ec51276e2b763f70c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPhoneNumbers</name>
      <anchorfile>classPhoneNumberListWidget.html</anchorfile>
      <anchor>a7d2823aa7289c9b53ff1a39fb2cd4d6f</anchor>
      <arglist>(const KABC::PhoneNumber::List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classPhoneNumberListWidget.html</anchorfile>
      <anchor>a87317d068e3d7b114f2f970b09555936</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneNumberWidget</name>
    <filename>classPhoneNumberWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>PhoneNumberWidget</name>
      <anchorfile>classPhoneNumberWidget.html</anchorfile>
      <anchor>aa015db355c6f48bca73a40bd4ac61a5a</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>KABC::PhoneNumber</type>
      <name>number</name>
      <anchorfile>classPhoneNumberWidget.html</anchorfile>
      <anchor>a7a9424e8a20e53f628fc7755dedc2078</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNumber</name>
      <anchorfile>classPhoneNumberWidget.html</anchorfile>
      <anchor>a9c16aa80d0bce6e0a09e71ad256607b5</anchor>
      <arglist>(const KABC::PhoneNumber &amp;number)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classPhoneNumberWidget.html</anchorfile>
      <anchor>a85f963f92de09a007a3042c4bac5a60b</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneTypeCombo</name>
    <filename>classPhoneTypeCombo.html</filename>
    <member kind="function">
      <type></type>
      <name>PhoneTypeCombo</name>
      <anchorfile>classPhoneTypeCombo.html</anchorfile>
      <anchor>a28b17566d09c6e7c477fc0d15e29ec32</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PhoneTypeCombo</name>
      <anchorfile>classPhoneTypeCombo.html</anchorfile>
      <anchor>af6bb89b7031963de87d0fe12b16e8a1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classPhoneTypeCombo.html</anchorfile>
      <anchor>a3128f9667c7851c2fc047e2aa7bd61e5</anchor>
      <arglist>(KABC::PhoneNumber::Type type)</arglist>
    </member>
    <member kind="function">
      <type>KABC::PhoneNumber::Type</type>
      <name>type</name>
      <anchorfile>classPhoneTypeCombo.html</anchorfile>
      <anchor>a34866085e0fe04e75cbb817cfa0bf519</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneTypeDialog</name>
    <filename>classPhoneTypeDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>PhoneTypeDialog</name>
      <anchorfile>classPhoneTypeDialog.html</anchorfile>
      <anchor>aa64ee649e7b37706a63ca00fa78012bb</anchor>
      <arglist>(KABC::PhoneNumber::Type type, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>KABC::PhoneNumber::Type</type>
      <name>type</name>
      <anchorfile>classPhoneTypeDialog.html</anchorfile>
      <anchor>a54dec08f3403518c3295f443a82e1916</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WaitingOverlay</name>
    <filename>classWaitingOverlay.html</filename>
    <member kind="function">
      <type></type>
      <name>WaitingOverlay</name>
      <anchorfile>classWaitingOverlay.html</anchorfile>
      <anchor>a8261bf4dd1903789d2c10363f8752b90</anchor>
      <arglist>(KJob *job, QWidget *baseWidget, QWidget *parent=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::AbstractContactFormatter</name>
    <filename>classAkonadi_1_1AbstractContactFormatter.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>HtmlForm</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>af73164658de41698e7e871d9bb883f7e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>SelfcontainedForm</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>af73164658de41698e7e871d9bb883f7eabcd1135469180529e6cd9aa5073ace21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>EmbeddableForm</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>af73164658de41698e7e871d9bb883f7eaabc261fe8a1621b92a58d47ac6a53b45</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>UserForm</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>af73164658de41698e7e871d9bb883f7ead7db42dba4307eed4b0b3ab1dbfc95ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AbstractContactFormatter</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>ae29b0eca0a989419292acab486eee8a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~AbstractContactFormatter</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>a84a499e2c54768ef80b5a27de5104549</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::Addressee</type>
      <name>contact</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>a73ed0de373ef5b5a5a92adea9c282c97</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QVariantMap &gt;</type>
      <name>customFieldDescriptions</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>a44a79966c2573a26f2d95e5c2c00b636</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Akonadi::Item</type>
      <name>item</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>a753c443f3017001bcc1d4b06953f845b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContact</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>acf823f106fc2c7f903e336f93d994435</anchor>
      <arglist>(const KABC::Addressee &amp;contact)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCustomFieldDescriptions</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>aeaa8171da1f0cfbbba1dad3df3e2f90c</anchor>
      <arglist>(const QList&lt; QVariantMap &gt; &amp;descriptions)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItem</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>ad7b038195cf6ed719a0809c03e0fb829</anchor>
      <arglist>(const Akonadi::Item &amp;item)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>toHtml</name>
      <anchorfile>classAkonadi_1_1AbstractContactFormatter.html</anchorfile>
      <anchor>a96246dac0407358fc7de287a96138818</anchor>
      <arglist>(HtmlForm form=SelfcontainedForm) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::AbstractContactGroupFormatter</name>
    <filename>classAkonadi_1_1AbstractContactGroupFormatter.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>HtmlForm</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>ac6e5d785cd50c7e46883dfded8101cdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>SelfcontainedForm</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>ac6e5d785cd50c7e46883dfded8101cdcab5ae84fde6fb10bae1a30cc5049beec6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>EmbeddableForm</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>ac6e5d785cd50c7e46883dfded8101cdca94347843575118f10196e532fd662323</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>UserForm</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>ac6e5d785cd50c7e46883dfded8101cdca417aa6faa4fdfb0dffc9364f020d50bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AbstractContactGroupFormatter</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>abd2fec368d99ed60f522570a02af3872</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~AbstractContactGroupFormatter</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>aecc56b92f307f53eb759a01050fe0b94</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QVariantMap &gt;</type>
      <name>additionalFields</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>aba72a3f311f3d8adcbd38bb7a35eddd5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KABC::ContactGroup</type>
      <name>contactGroup</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>ade3012d408d18bfe9557c50a9d730f4d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Akonadi::Item</type>
      <name>item</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>ae0cf06d02030b8c82e301665ac509e46</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAdditionalFields</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>aa76e74a47bbb416256a5f1af2411483b</anchor>
      <arglist>(const QList&lt; QVariantMap &gt; &amp;fields)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContactGroup</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>a13c03a8de7cb19cf14e663d3584bf8b9</anchor>
      <arglist>(const KABC::ContactGroup &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItem</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>a4a00a59de29c3879cab19eee25c26940</anchor>
      <arglist>(const Akonadi::Item &amp;item)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>toHtml</name>
      <anchorfile>classAkonadi_1_1AbstractContactGroupFormatter.html</anchorfile>
      <anchor>a623fe0ef84843ad0e7325a0edf88bbef</anchor>
      <arglist>(HtmlForm form=SelfcontainedForm) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactDefaultActions</name>
    <filename>classAkonadi_1_1ContactDefaultActions.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>dialPhoneNumber</name>
      <anchorfile>classAkonadi_1_1ContactDefaultActions.html</anchorfile>
      <anchor>ad91353c9d282f09beb09e40ba2208c04</anchor>
      <arglist>(const KABC::PhoneNumber &amp;number)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>sendEmail</name>
      <anchorfile>classAkonadi_1_1ContactDefaultActions.html</anchorfile>
      <anchor>af7c4ec082e6f75cf470bdfafc51ae4bb</anchor>
      <arglist>(const QString &amp;name, const QString &amp;address)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>sendSms</name>
      <anchorfile>classAkonadi_1_1ContactDefaultActions.html</anchorfile>
      <anchor>a247446df9c4b26e7999b80bc8d816dea</anchor>
      <arglist>(const KABC::PhoneNumber &amp;number)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showAddress</name>
      <anchorfile>classAkonadi_1_1ContactDefaultActions.html</anchorfile>
      <anchor>ad3ded5b680009debaf2a4c0a450c852c</anchor>
      <arglist>(const KABC::Address &amp;address)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showUrl</name>
      <anchorfile>classAkonadi_1_1ContactDefaultActions.html</anchorfile>
      <anchor>a2c3ff2b6da6f06383366ded353052cd8</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactDefaultActions</name>
      <anchorfile>classAkonadi_1_1ContactDefaultActions.html</anchorfile>
      <anchor>a7e38487f603ab687814730163c21a391</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ContactDefaultActions</name>
      <anchorfile>classAkonadi_1_1ContactDefaultActions.html</anchorfile>
      <anchor>aac2a05feafa2c1e405d9f99320ab3f7d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectToView</name>
      <anchorfile>classAkonadi_1_1ContactDefaultActions.html</anchorfile>
      <anchor>aadb2814d0e407c3da8a8acc8badab9a6</anchor>
      <arglist>(QObject *view)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactEditor</name>
    <filename>classAkonadi_1_1ContactEditor.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Mode</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>ac4de899d21a59f94677b7ae7089eb771</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>CreateMode</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>ac4de899d21a59f94677b7ae7089eb771a090d8279c538df84ceef53d2c8bd782d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>EditMode</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>ac4de899d21a59f94677b7ae7089eb771a34e28dfa620f90a77721b0eed9887e1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>loadContact</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>ae01860cda2a7085b0f7ce013b49f858c</anchor>
      <arglist>(const Akonadi::Item &amp;contact)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>saveContact</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>a275e48a2c45d6fa9eb9a43262c925657</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>contactStored</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>a8437d061148c348d5c76ae9139636f9d</anchor>
      <arglist>(const Akonadi::Item &amp;contact)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>error</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>a641125a9573a8fa43602cb7774befc0a</anchor>
      <arglist>(const QString &amp;errorMsg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactEditor</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>a66bea811b685b7a7a7110c40d5cd2c63</anchor>
      <arglist>(Mode mode, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactEditor</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>a812a4e80ed0deabf70d8d431b5f58096</anchor>
      <arglist>(Mode mode, AbstractContactEditorWidget *editorWidget, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactEditor</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>a214b70af8b5e22b155c3483e1d9dd6e0</anchor>
      <arglist>(Mode mode, DisplayMode displayMode, QWidget *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ContactEditor</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>a106c7c5e110b1051c35fcbe39041d8b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::Addressee</type>
      <name>contact</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>a1b90d60e3bc39caed7014713664705e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContactTemplate</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>a1a7263a294be8b3bafda1e2f77aef1de</anchor>
      <arglist>(const KABC::Addressee &amp;contact)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultAddressBook</name>
      <anchorfile>classAkonadi_1_1ContactEditor.html</anchorfile>
      <anchor>a2c1746425653c81ec7426d817b17f351</anchor>
      <arglist>(const Akonadi::Collection &amp;addressbook)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactEditorDialog</name>
    <filename>classAkonadi_1_1ContactEditorDialog.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Mode</name>
      <anchorfile>classAkonadi_1_1ContactEditorDialog.html</anchorfile>
      <anchor>a18f19a8603b3b2aa55473cd27e31863b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>CreateMode</name>
      <anchorfile>classAkonadi_1_1ContactEditorDialog.html</anchorfile>
      <anchor>a18f19a8603b3b2aa55473cd27e31863baacba729a32e12e8e18bb3e46079e6d8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>EditMode</name>
      <anchorfile>classAkonadi_1_1ContactEditorDialog.html</anchorfile>
      <anchor>a18f19a8603b3b2aa55473cd27e31863ba02c0f1305be92e0a300d9a708af53041</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>contactStored</name>
      <anchorfile>classAkonadi_1_1ContactEditorDialog.html</anchorfile>
      <anchor>aa6f002d5a250a010cf2f5745407f9978</anchor>
      <arglist>(const Akonadi::Item &amp;contact)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactEditorDialog</name>
      <anchorfile>classAkonadi_1_1ContactEditorDialog.html</anchorfile>
      <anchor>a676ba13d9cfddfae09063d4a53880a28</anchor>
      <arglist>(Mode mode, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactEditorDialog</name>
      <anchorfile>classAkonadi_1_1ContactEditorDialog.html</anchorfile>
      <anchor>ae7b47e198e1ebf929504298135f3fd1f</anchor>
      <arglist>(Mode mode, AbstractContactEditorWidget *editorWidget, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactEditorDialog</name>
      <anchorfile>classAkonadi_1_1ContactEditorDialog.html</anchorfile>
      <anchor>affdb3866b160c0f159fa809014f35f03</anchor>
      <arglist>(Mode mode, DisplayMode displayMode, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactEditorDialog</name>
      <anchorfile>classAkonadi_1_1ContactEditorDialog.html</anchorfile>
      <anchor>af8228497674ff748441ed1d2622973d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ContactEditor *</type>
      <name>editor</name>
      <anchorfile>classAkonadi_1_1ContactEditorDialog.html</anchorfile>
      <anchor>a73d2588aed370abf7ff3457a4700ebf0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContact</name>
      <anchorfile>classAkonadi_1_1ContactEditorDialog.html</anchorfile>
      <anchor>a444879027108c9900835f5e3af215e8f</anchor>
      <arglist>(const Akonadi::Item &amp;contact)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultAddressBook</name>
      <anchorfile>classAkonadi_1_1ContactEditorDialog.html</anchorfile>
      <anchor>a96827dcf19afd53f78c9200da81060c9</anchor>
      <arglist>(const Akonadi::Collection &amp;addressbook)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactEditorPagePlugin</name>
    <filename>classAkonadi_1_1ContactEditorPagePlugin.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>loadContact</name>
      <anchorfile>classAkonadi_1_1ContactEditorPagePlugin.html</anchorfile>
      <anchor>add58a5397c1197912d7aa3db0bae5b36</anchor>
      <arglist>(const KABC::Addressee &amp;contact)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classAkonadi_1_1ContactEditorPagePlugin.html</anchorfile>
      <anchor>a95bd680b50b9547f973d37f30103fe97</anchor>
      <arglist>(bool readOnly)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>storeContact</name>
      <anchorfile>classAkonadi_1_1ContactEditorPagePlugin.html</anchorfile>
      <anchor>ad2a495b0316b6396582e32f3fe972ad0</anchor>
      <arglist>(KABC::Addressee &amp;contact) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>title</name>
      <anchorfile>classAkonadi_1_1ContactEditorPagePlugin.html</anchorfile>
      <anchor>ae1806892339c0e5fe94b243a417bdf15</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactGroupEditor</name>
    <filename>classAkonadi_1_1ContactGroupEditor.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Mode</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditor.html</anchorfile>
      <anchor>a96a47ca2717dad5c7bcc752440d816d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>CreateMode</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditor.html</anchorfile>
      <anchor>a96a47ca2717dad5c7bcc752440d816d9a29ff31e9ab926e6be68322c9976ce607</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>EditMode</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditor.html</anchorfile>
      <anchor>a96a47ca2717dad5c7bcc752440d816d9adaffb738cbce35261bd64fa8dca23ece</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>loadContactGroup</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditor.html</anchorfile>
      <anchor>ad898aace61dedf79d18d083ad8d6de0b</anchor>
      <arglist>(const Akonadi::Item &amp;group)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>saveContactGroup</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditor.html</anchorfile>
      <anchor>a89b13276c751ea834e90f8aad6464d9b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>contactGroupStored</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditor.html</anchorfile>
      <anchor>a2ee340be05d72b76d391e635e67eb4eb</anchor>
      <arglist>(const Akonadi::Item &amp;group)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>error</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditor.html</anchorfile>
      <anchor>a91687ea266c164a280939e636d99edfb</anchor>
      <arglist>(const QString &amp;errorMsg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactGroupEditor</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditor.html</anchorfile>
      <anchor>ab01be9f21822ddf343dd37d291c15cc3</anchor>
      <arglist>(Mode mode, QWidget *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ContactGroupEditor</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditor.html</anchorfile>
      <anchor>a9496d28c196740d11d5c1761f417c74f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContactGroupTemplate</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditor.html</anchorfile>
      <anchor>a5b818f91343bc0db481cfb477f7c21de</anchor>
      <arglist>(const KABC::ContactGroup &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultAddressBook</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditor.html</anchorfile>
      <anchor>aac6fcbeaf288f800599d190f62189ee3</anchor>
      <arglist>(const Akonadi::Collection &amp;addressbook)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactGroupEditorDialog</name>
    <filename>classAkonadi_1_1ContactGroupEditorDialog.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Mode</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditorDialog.html</anchorfile>
      <anchor>ad6a47316a773a5cc10a446f361589069</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>CreateMode</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditorDialog.html</anchorfile>
      <anchor>ad6a47316a773a5cc10a446f361589069ac2c89d25ad36f0f148627c3e59455448</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>EditMode</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditorDialog.html</anchorfile>
      <anchor>ad6a47316a773a5cc10a446f361589069aec79b8cf0ab9258a1dd1fe9caf6886bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>contactGroupStored</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditorDialog.html</anchorfile>
      <anchor>a22d60e507cabd71f459b6cf11701752d</anchor>
      <arglist>(const Akonadi::Item &amp;group)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactGroupEditorDialog</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditorDialog.html</anchorfile>
      <anchor>aea2399bf0fff6c3ff5d4acc7434ef700</anchor>
      <arglist>(Mode mode, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactGroupEditorDialog</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditorDialog.html</anchorfile>
      <anchor>a5a9317cc4e63eb90585c047c638a5911</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ContactGroupEditor *</type>
      <name>editor</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditorDialog.html</anchorfile>
      <anchor>aeac03d78cf83babbc7e89fceeb16a3ea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContactGroup</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditorDialog.html</anchorfile>
      <anchor>a73b0e63b4c4f13fd0e12e1c4af40c87b</anchor>
      <arglist>(const Akonadi::Item &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultAddressBook</name>
      <anchorfile>classAkonadi_1_1ContactGroupEditorDialog.html</anchorfile>
      <anchor>ac3c107d1932654ce455cbad9b477fd48</anchor>
      <arglist>(const Akonadi::Collection &amp;addressbook)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactGroupExpandJob</name>
    <filename>classAkonadi_1_1ContactGroupExpandJob.html</filename>
    <member kind="function">
      <type></type>
      <name>ContactGroupExpandJob</name>
      <anchorfile>classAkonadi_1_1ContactGroupExpandJob.html</anchorfile>
      <anchor>aecc096d21cc312793ab00c27e0fd1f8a</anchor>
      <arglist>(const KABC::ContactGroup &amp;group, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactGroupExpandJob</name>
      <anchorfile>classAkonadi_1_1ContactGroupExpandJob.html</anchorfile>
      <anchor>a86553a2a77833e9f4bc59462adf8ac0b</anchor>
      <arglist>(const QString &amp;name, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactGroupExpandJob</name>
      <anchorfile>classAkonadi_1_1ContactGroupExpandJob.html</anchorfile>
      <anchor>a09129223e7521b875d60ba16bd2223c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::Addressee::List</type>
      <name>contacts</name>
      <anchorfile>classAkonadi_1_1ContactGroupExpandJob.html</anchorfile>
      <anchor>a505901c9c29cd505a7a820d35dedfc5d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>start</name>
      <anchorfile>classAkonadi_1_1ContactGroupExpandJob.html</anchorfile>
      <anchor>ad4a8b5f25f1cbcb33799f3c174499689</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactGroupSearchJob</name>
    <filename>classAkonadi_1_1ContactGroupSearchJob.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Criterion</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>ae5da651f67193df0464b91b1c0093a2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Name</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>ae5da651f67193df0464b91b1c0093a2ea88269821dbce7ed17a49320ad9d0eb28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>Match</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>a188eda8bb9a4ea4aa263814377a5256b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ExactMatch</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>a188eda8bb9a4ea4aa263814377a5256ba23d3e218e0f8ac1b04a33bb304939042</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>StartsWithMatch</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>a188eda8bb9a4ea4aa263814377a5256baaf21174a9e774b6750c185cc077c3bb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ContainsMatch</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>a188eda8bb9a4ea4aa263814377a5256ba6742c90482ce531157cd3af7f90f11cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactGroupSearchJob</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>aea9f47b68f4c586b4abfce7b943cd024</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactGroupSearchJob</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>a5ec66dbf20569d324a57dc55b03e2b8f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::ContactGroup::List</type>
      <name>contactGroups</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>a0d74ced83a1663733474a43090a3953d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLimit</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>a0eb6e2bc47c3cf25524918dd116c2f8c</anchor>
      <arglist>(int limit)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setQuery</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>a81ac72ee0360b80a66b8edf212c83c6b</anchor>
      <arglist>(Criterion criterion, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setQuery</name>
      <anchorfile>classAkonadi_1_1ContactGroupSearchJob.html</anchorfile>
      <anchor>ac7f37410371b713c4f718c98d9601f16</anchor>
      <arglist>(Criterion criterion, const QString &amp;value, Match match)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactGroupViewer</name>
    <filename>classAkonadi_1_1ContactGroupViewer.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setContactGroup</name>
      <anchorfile>classAkonadi_1_1ContactGroupViewer.html</anchorfile>
      <anchor>a1d4696ada7c15dbd6c520228f1bf7d44</anchor>
      <arglist>(const Akonadi::Item &amp;group)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>emailClicked</name>
      <anchorfile>classAkonadi_1_1ContactGroupViewer.html</anchorfile>
      <anchor>a0fffd2a526c1bffb8510f913386ed594</anchor>
      <arglist>(const QString &amp;name, const QString &amp;email)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactGroupViewer</name>
      <anchorfile>classAkonadi_1_1ContactGroupViewer.html</anchorfile>
      <anchor>aee8faa766d0f879debe9f6d1f19d434e</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactGroupViewer</name>
      <anchorfile>classAkonadi_1_1ContactGroupViewer.html</anchorfile>
      <anchor>a0f90eea6a30c00c52e9f9b16f459ea64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Akonadi::Item</type>
      <name>contactGroup</name>
      <anchorfile>classAkonadi_1_1ContactGroupViewer.html</anchorfile>
      <anchor>a011e48e99b4f6c7233d32c4477066b44</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContactGroupFormatter</name>
      <anchorfile>classAkonadi_1_1ContactGroupViewer.html</anchorfile>
      <anchor>a96a0b50511ccf6bde0d3b084bd2b04b5</anchor>
      <arglist>(AbstractContactGroupFormatter *formatter)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactGroupViewerDialog</name>
    <filename>classAkonadi_1_1ContactGroupViewerDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setContactGroup</name>
      <anchorfile>classAkonadi_1_1ContactGroupViewerDialog.html</anchorfile>
      <anchor>a3e9a3ecaab8c0159e104ef506bc588ed</anchor>
      <arglist>(const Akonadi::Item &amp;group)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactGroupViewerDialog</name>
      <anchorfile>classAkonadi_1_1ContactGroupViewerDialog.html</anchorfile>
      <anchor>a15e2711e31b2fed816a4505b98405fa9</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactGroupViewerDialog</name>
      <anchorfile>classAkonadi_1_1ContactGroupViewerDialog.html</anchorfile>
      <anchor>ab952aaec1353b7f80a90035692b3bd94</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Akonadi::Item</type>
      <name>contactGroup</name>
      <anchorfile>classAkonadi_1_1ContactGroupViewerDialog.html</anchorfile>
      <anchor>a905d73546d405937e9de8eec4df07bbb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ContactGroupViewer *</type>
      <name>viewer</name>
      <anchorfile>classAkonadi_1_1ContactGroupViewerDialog.html</anchorfile>
      <anchor>a58af77b8d86226ec0d6506ffb1c6cc38</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactMetaData</name>
    <filename>classAkonadi_1_1ContactMetaData.html</filename>
    <member kind="function">
      <type></type>
      <name>ContactMetaData</name>
      <anchorfile>classAkonadi_1_1ContactMetaData.html</anchorfile>
      <anchor>a48a2c6b0d8e2be866c92df30deb6ca2f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactMetaData</name>
      <anchorfile>classAkonadi_1_1ContactMetaData.html</anchorfile>
      <anchor>aa776a35bec6055c932073e5f8164b2eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QVariantList</type>
      <name>customFieldDescriptions</name>
      <anchorfile>classAkonadi_1_1ContactMetaData.html</anchorfile>
      <anchor>a2afe14d4116056c8266d3574ebf2ee2c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>displayNameMode</name>
      <anchorfile>classAkonadi_1_1ContactMetaData.html</anchorfile>
      <anchor>a9c0317b835ab0ccedaad8df05b5f2a52</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classAkonadi_1_1ContactMetaData.html</anchorfile>
      <anchor>adfaab84c0205013300d66c19daa6c54a</anchor>
      <arglist>(const Akonadi::Item &amp;contact)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCustomFieldDescriptions</name>
      <anchorfile>classAkonadi_1_1ContactMetaData.html</anchorfile>
      <anchor>a61b17cd5e5ea1ae52d31563c274f05aa</anchor>
      <arglist>(const QVariantList &amp;descriptions)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplayNameMode</name>
      <anchorfile>classAkonadi_1_1ContactMetaData.html</anchorfile>
      <anchor>adbcd6efeb104b129a80f3333ad8ee5b6</anchor>
      <arglist>(int mode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>store</name>
      <anchorfile>classAkonadi_1_1ContactMetaData.html</anchorfile>
      <anchor>aa045d80302f5a1a1275973b59dfe652c</anchor>
      <arglist>(Akonadi::Item &amp;contact)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactMetaDataAttribute</name>
    <filename>classAkonadi_1_1ContactMetaDataAttribute.html</filename>
    <member kind="function">
      <type></type>
      <name>ContactMetaDataAttribute</name>
      <anchorfile>classAkonadi_1_1ContactMetaDataAttribute.html</anchorfile>
      <anchor>a3cca9b84359880a9935d33289eb0064b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactMetaDataAttribute</name>
      <anchorfile>classAkonadi_1_1ContactMetaDataAttribute.html</anchorfile>
      <anchor>a7bb6c46c836d235191f2f3e70352bb41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QVariantMap</type>
      <name>metaData</name>
      <anchorfile>classAkonadi_1_1ContactMetaDataAttribute.html</anchorfile>
      <anchor>a5a71f5570cf5bc9eae240b33372f76d9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMetaData</name>
      <anchorfile>classAkonadi_1_1ContactMetaDataAttribute.html</anchorfile>
      <anchor>afa70c8770b2354570ffe8d31d6692367</anchor>
      <arglist>(const QVariantMap &amp;data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactSearchJob</name>
    <filename>classAkonadi_1_1ContactSearchJob.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Criterion</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a641e65b40a76f5f763cd888346164604</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Name</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a641e65b40a76f5f763cd888346164604a279da408e2b17ab2293f703b6e002609</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Email</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a641e65b40a76f5f763cd888346164604a5a36e365d09869286e6c07204a6134d2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NickName</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a641e65b40a76f5f763cd888346164604aa7feb92fc043dcc7c2861dfb3ac981ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NameOrEmail</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a641e65b40a76f5f763cd888346164604a3c8564149b154c84870b87c68df3d206</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ContactUid</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a641e65b40a76f5f763cd888346164604ae8c3e306c707360459437f3fefbc2be5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>Match</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a57a327c9d9487fdaf922ca214e7c2bc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ExactMatch</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a57a327c9d9487fdaf922ca214e7c2bc6a530f43d5c84019bfb27b00ae8b00a433</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>StartsWithMatch</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a57a327c9d9487fdaf922ca214e7c2bc6a72a73ecb867875834f246df902742017</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ContainsMatch</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a57a327c9d9487fdaf922ca214e7c2bc6af26cd7f58e3c4e1b605d580c531f3410</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ContainsWordBoundaryMatch</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a57a327c9d9487fdaf922ca214e7c2bc6ad701aaab5b881149ecb55a612d3e9d6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactSearchJob</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a908705941d1b278993839c86ef524387</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactSearchJob</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a33963a0e0daf6e437cadd250f2ae4454</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::Addressee::List</type>
      <name>contacts</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>acc298cbacc3c5a72dfb4d7341f1669c7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLimit</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>ade6bbaf8231b73458fea6140032c7dae</anchor>
      <arglist>(int limit)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setQuery</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>a5983203a0941b818d3c10a1f3370dd5a</anchor>
      <arglist>(Criterion criterion, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setQuery</name>
      <anchorfile>classAkonadi_1_1ContactSearchJob.html</anchorfile>
      <anchor>af0dd399eca5e0233d76d80a1d85062c7</anchor>
      <arglist>(Criterion criterion, const QString &amp;value, Match match)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactsFilterProxyModel</name>
    <filename>classAkonadi_1_1ContactsFilterProxyModel.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setFilterString</name>
      <anchorfile>classAkonadi_1_1ContactsFilterProxyModel.html</anchorfile>
      <anchor>af62e3afb7536c629cc01a8a9feca6082</anchor>
      <arglist>(const QString &amp;filter)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactsFilterProxyModel</name>
      <anchorfile>classAkonadi_1_1ContactsFilterProxyModel.html</anchorfile>
      <anchor>ace54bd149854947072ce9d04497cfb66</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ContactsFilterProxyModel</name>
      <anchorfile>classAkonadi_1_1ContactsFilterProxyModel.html</anchorfile>
      <anchor>a7c8abf9940b21179abd7fe4b518de629</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExcludeVirtualCollections</name>
      <anchorfile>classAkonadi_1_1ContactsFilterProxyModel.html</anchorfile>
      <anchor>a105ee814775bcc08e408115550947712</anchor>
      <arglist>(bool exclude)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilterFlags</name>
      <anchorfile>classAkonadi_1_1ContactsFilterProxyModel.html</anchorfile>
      <anchor>a127b18cb7a4c5473027837fc2132511d</anchor>
      <arglist>(ContactsFilterProxyModel::FilterFlags flags)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactsTreeModel</name>
    <filename>classAkonadi_1_1ContactsTreeModel.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Column</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>FullName</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0ab3a234c886ecbc82f04239abbcd0a5ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>FamilyName</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0a64143ed74ba522613626f17485334c09</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GivenName</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0a08b76e59ad6c7a276437d000c3505063</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Birthday</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0a42ebec40a3dbdec2b0946f87d7eb06ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>HomeAddress</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0a0f75a2eba547521e1de5469e5812246b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>BusinessAddress</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0a2c90b48c300b53d7f6c34a53ad1f092f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>PhoneNumbers</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0aa52d56d982e9b5cf13782bc367102e10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>PreferredEmail</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0a0427fb484a96d5fe2b139c6562cd8761</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>AllEmails</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0a67b628f9b0f50cb74d5423d91d6b13e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Organization</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0abd62726a95b931f75d3fd2b15859cccf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Role</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0a19fb6aba76dd1ece95daa233fa9478b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Homepage</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0a0e609c89bf7cd70c910d9b1b9f646ce4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Note</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>adda9b675bd61e9f4711dc4e9fe7c77b0ae68df7de663b0ee0ce3d8ed0a8d28955</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QList&lt; Column &gt;</type>
      <name>Columns</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>abc47abf30c4a8b528a12a416e4e3df96</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>Roles</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>ae3bff9ba4b746d4b66ec3bce5746e4d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>DateRole</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>ae3bff9ba4b746d4b66ec3bce5746e4d4a1455be09a4c06a4ee472df01fe91d891</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactsTreeModel</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>a8eb77608ed534aa7abc77c48bb6fc3a8</anchor>
      <arglist>(ChangeRecorder *monitor, QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ContactsTreeModel</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>a0b66126d0a22b15221694c63b7755480</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Columns</type>
      <name>columns</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>a89476f63daa9961a289389ba5b70c3ff</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setColumns</name>
      <anchorfile>classAkonadi_1_1ContactsTreeModel.html</anchorfile>
      <anchor>a0283e6e75602c6f3b014940168a72a9f</anchor>
      <arglist>(const Columns &amp;columns)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactViewer</name>
    <filename>classAkonadi_1_1ContactViewer.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setContact</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>ae7363b3c3d827d804f3d05676634d9a2</anchor>
      <arglist>(const Akonadi::Item &amp;contact)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setRawContact</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>aad3545b3cc7668659114ea83c3622a6b</anchor>
      <arglist>(const KABC::Addressee &amp;contact)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>addressClicked</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>abc552cbccbc44758dc24639b9af0cf60</anchor>
      <arglist>(const KABC::Address &amp;address)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>emailClicked</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>a166d75f427bba6953228c7662551465e</anchor>
      <arglist>(const QString &amp;name, const QString &amp;email)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>phoneNumberClicked</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>a959df6021c089476a5cd86c85fb59778</anchor>
      <arglist>(const KABC::PhoneNumber &amp;number)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>smsClicked</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>a9d033bc5dc4343c53278681a415d23a1</anchor>
      <arglist>(const KABC::PhoneNumber &amp;number)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>urlClicked</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>aa1234e19f9384ae735709067d9a4c196</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactViewer</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>afbdac719ffd1a2502c746937d65e4ca3</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactViewer</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>a9b0354b50dfb9ec62487d6d5b8bed6eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Akonadi::Item</type>
      <name>contact</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>ac05b69ba4fcb745b358e79d39eeb5b78</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KABC::Addressee</type>
      <name>rawContact</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>a0f4ad5eb7bd65e5070a1ed47992d3cee</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContactFormatter</name>
      <anchorfile>classAkonadi_1_1ContactViewer.html</anchorfile>
      <anchor>ae9536693a92ffa430478d1dd155a67c7</anchor>
      <arglist>(AbstractContactFormatter *formatter)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ContactViewerDialog</name>
    <filename>classAkonadi_1_1ContactViewerDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setContact</name>
      <anchorfile>classAkonadi_1_1ContactViewerDialog.html</anchorfile>
      <anchor>ac281e7358908c8882c45623f382a99f5</anchor>
      <arglist>(const Akonadi::Item &amp;contact)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContactViewerDialog</name>
      <anchorfile>classAkonadi_1_1ContactViewerDialog.html</anchorfile>
      <anchor>a44ce234971dfea1ded0e734f1608190a</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContactViewerDialog</name>
      <anchorfile>classAkonadi_1_1ContactViewerDialog.html</anchorfile>
      <anchor>a3abf41ddf6dea1f9f7531fc80c11ac27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Akonadi::Item</type>
      <name>contact</name>
      <anchorfile>classAkonadi_1_1ContactViewerDialog.html</anchorfile>
      <anchor>a0e8b654395892506a6cca764a03d6c9f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ContactViewer *</type>
      <name>viewer</name>
      <anchorfile>classAkonadi_1_1ContactViewerDialog.html</anchorfile>
      <anchor>a3f125942697392e91ebddeb1b64d51a5</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::DialPhoneNumberAction</name>
    <filename>classAkonadi_1_1DialPhoneNumberAction.html</filename>
  </compound>
  <compound kind="class">
    <name>Akonadi::EmailAddressSelection</name>
    <filename>classAkonadi_1_1EmailAddressSelection.html</filename>
    <member kind="typedef">
      <type>QList&lt; EmailAddressSelection &gt;</type>
      <name>List</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelection.html</anchorfile>
      <anchor>a9a255964a307bf9c260f314d3511c992</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EmailAddressSelection</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelection.html</anchorfile>
      <anchor>aafb0c961bdd60e4bf3325f3184ca3c71</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EmailAddressSelection</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelection.html</anchorfile>
      <anchor>a1591f82589c5ef2537ba25e829da9bdc</anchor>
      <arglist>(const EmailAddressSelection &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~EmailAddressSelection</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelection.html</anchorfile>
      <anchor>a06379eb771db134fd3c4f8bdbaca6c52</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>email</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelection.html</anchorfile>
      <anchor>a408fa250c28621e70be02d00a4ef52dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelection.html</anchorfile>
      <anchor>a40305f245c415694673e200a2792a789</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Akonadi::Item</type>
      <name>item</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelection.html</anchorfile>
      <anchor>ac63e8053ee0a0ba38c19a7d2b188f2bc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelection.html</anchorfile>
      <anchor>a27f6f060d6813feecc9400faf4c9334e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>EmailAddressSelection &amp;</type>
      <name>operator=</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelection.html</anchorfile>
      <anchor>a4eb71a89eeb4bde9ed2e641d48911e77</anchor>
      <arglist>(const EmailAddressSelection &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quotedEmail</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelection.html</anchorfile>
      <anchor>a429ec196acb3fe5abfd29884f7eb655d</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::EmailAddressSelectionDialog</name>
    <filename>classAkonadi_1_1EmailAddressSelectionDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>EmailAddressSelectionDialog</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionDialog.html</anchorfile>
      <anchor>adafde69e4cc9f67c96aa05b7dd4e40de</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EmailAddressSelectionDialog</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionDialog.html</anchorfile>
      <anchor>aaf1055ce74115628d2d52a88e09a1462</anchor>
      <arglist>(QAbstractItemModel *model, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~EmailAddressSelectionDialog</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionDialog.html</anchorfile>
      <anchor>ab8b184799c6ae90f28a9abb86147a0ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>EmailAddressSelection::List</type>
      <name>selectedAddresses</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionDialog.html</anchorfile>
      <anchor>a4ae4fcd300b72d967978ba08c959204a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>EmailAddressSelectionWidget *</type>
      <name>view</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionDialog.html</anchorfile>
      <anchor>ae73329983421b5bf8f09e4f614178cfa</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::EmailAddressSelectionWidget</name>
    <filename>classAkonadi_1_1EmailAddressSelectionWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>doubleClicked</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionWidget.html</anchorfile>
      <anchor>a0cdfb12312ab1919faa0cf1859cd82c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EmailAddressSelectionWidget</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionWidget.html</anchorfile>
      <anchor>a02026286bd544a948b8a28a08cc1cf92</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EmailAddressSelectionWidget</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionWidget.html</anchorfile>
      <anchor>adf2967ea03c629e0ef3dad171d0ed1ac</anchor>
      <arglist>(QAbstractItemModel *model, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~EmailAddressSelectionWidget</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionWidget.html</anchorfile>
      <anchor>acab3d01092646ad86aa3c5e8e110766f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KLineEdit *</type>
      <name>searchLineEdit</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionWidget.html</anchorfile>
      <anchor>afd2f939444bb4bfe8b0f7c5b07834692</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>EmailAddressSelection::List</type>
      <name>selectedAddresses</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionWidget.html</anchorfile>
      <anchor>ae47670999b7341284ec5ddb06e1bae07</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QTreeView *</type>
      <name>view</name>
      <anchorfile>classAkonadi_1_1EmailAddressSelectionWidget.html</anchorfile>
      <anchor>a69af69a1066218739dd999165030d30f</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::RecentContactsCollectionRequestJob</name>
    <filename>classAkonadi_1_1RecentContactsCollectionRequestJob.html</filename>
    <member kind="function">
      <type></type>
      <name>RecentContactsCollectionRequestJob</name>
      <anchorfile>classAkonadi_1_1RecentContactsCollectionRequestJob.html</anchorfile>
      <anchor>abdbb2fe54fc6cba0ad98bd6c4d7fa7e1</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~RecentContactsCollectionRequestJob</name>
      <anchorfile>classAkonadi_1_1RecentContactsCollectionRequestJob.html</anchorfile>
      <anchor>a442fe6b9ee0aaed89f03bf963aa377bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestCollection</name>
      <anchorfile>classAkonadi_1_1RecentContactsCollectionRequestJob.html</anchorfile>
      <anchor>af943f0fd8ba3f5bfef364b9838e278c3</anchor>
      <arglist>(const AgentInstance &amp;instance)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestDefaultCollection</name>
      <anchorfile>classAkonadi_1_1RecentContactsCollectionRequestJob.html</anchorfile>
      <anchor>a2672ab96d81c6fde4324d137d2397622</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::RecentContactsCollections</name>
    <filename>classAkonadi_1_1RecentContactsCollections.html</filename>
    <member kind="function">
      <type>Akonadi::Collection</type>
      <name>collection</name>
      <anchorfile>classAkonadi_1_1RecentContactsCollections.html</anchorfile>
      <anchor>acf2b2f541538f6b681b541cac225efea</anchor>
      <arglist>(const AgentInstance &amp;instance) const </arglist>
    </member>
    <member kind="function">
      <type>Akonadi::Collection</type>
      <name>defaultCollection</name>
      <anchorfile>classAkonadi_1_1RecentContactsCollections.html</anchorfile>
      <anchor>ac6cb568b38484474ad86a97cc6c360bb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasCollection</name>
      <anchorfile>classAkonadi_1_1RecentContactsCollections.html</anchorfile>
      <anchor>a104c02d1c1daca1a8162f1ebd46499e5</anchor>
      <arglist>(const AgentInstance &amp;instance) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasDefaultCollection</name>
      <anchorfile>classAkonadi_1_1RecentContactsCollections.html</anchorfile>
      <anchor>a7f859d8fbb77bfd51bcd002cc1c3c6d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>registerCollection</name>
      <anchorfile>classAkonadi_1_1RecentContactsCollections.html</anchorfile>
      <anchor>ae0dd54f9360b1be5533a652b009fa92b</anchor>
      <arglist>(const Akonadi::Collection &amp;collection)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static RecentContactsCollections *</type>
      <name>self</name>
      <anchorfile>classAkonadi_1_1RecentContactsCollections.html</anchorfile>
      <anchor>ad4b3fea806d7ed9674d977d52d1c72fb</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::ShowAddressAction</name>
    <filename>classAkonadi_1_1ShowAddressAction.html</filename>
  </compound>
  <compound kind="class">
    <name>Akonadi::StandardContactActionManager</name>
    <filename>classAkonadi_1_1StandardContactActionManager.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Type</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a11d0c251157910299b00d5c0f551fccf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>CreateContact</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a11d0c251157910299b00d5c0f551fccfad47209bc1b4f54fdeb4984ea035d4490</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>CreateContactGroup</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a11d0c251157910299b00d5c0f551fccfaa38a37a764e27fc1bfb8a1d049a52560</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>EditItem</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a11d0c251157910299b00d5c0f551fccfae58b3019eccd991fde2c223e125e6b76</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>LastType</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a11d0c251157910299b00d5c0f551fccfa8e78b0548eaade8f5bf29b0616574fee</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>actionStateUpdated</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a976f0de17fffb4dcb6fb010d007fb787</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>StandardContactActionManager</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a04bae888b0bf283ea8a74241be2f6ba7</anchor>
      <arglist>(KActionCollection *actionCollection, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~StandardContactActionManager</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a0cc6ae3a10f6253ab87ba897e363abfd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KAction *</type>
      <name>action</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>acc605ae3d3ad5a3d2d742b49254b80f7</anchor>
      <arglist>(Type type) const </arglist>
    </member>
    <member kind="function">
      <type>KAction *</type>
      <name>action</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a0ee08ea50a143acabaa7024337ea5e30</anchor>
      <arglist>(StandardActionManager::Type type) const </arglist>
    </member>
    <member kind="function">
      <type>KAction *</type>
      <name>createAction</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a2adcfa712cbfc3fa7f19626e473541c2</anchor>
      <arglist>(Type type)</arglist>
    </member>
    <member kind="function">
      <type>KAction *</type>
      <name>createAction</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a5b01bad5013b173df234348bbb07847d</anchor>
      <arglist>(StandardActionManager::Type type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createAllActions</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a9f6694b19f2a875c17f241921aef2efa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>interceptAction</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>ae7e975df3530475a692fad748a00bc64</anchor>
      <arglist>(Type type, bool intercept=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>interceptAction</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>ab6b72f49d838a65f6d9d499375b1941a</anchor>
      <arglist>(StandardActionManager::Type type, bool intercept=true)</arglist>
    </member>
    <member kind="function">
      <type>Akonadi::Collection::List</type>
      <name>selectedCollections</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a4343e1632d91216a006b0e4ec2af446d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Akonadi::Item::List</type>
      <name>selectedItems</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a54e4cc3b2faf543f02dba998f9ccb125</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActionText</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a4da7d0171e61c9c959b7adbd738a7d52</anchor>
      <arglist>(StandardActionManager::Type type, const KLocalizedString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCollectionPropertiesPageNames</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a127055b4894d0aa6843fcd9cce27292e</anchor>
      <arglist>(const QStringList &amp;names)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCollectionSelectionModel</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>a5a26e67f99a4ebe38374ffb774ecd9cf</anchor>
      <arglist>(QItemSelectionModel *selectionModel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemSelectionModel</name>
      <anchorfile>classAkonadi_1_1StandardContactActionManager.html</anchorfile>
      <anchor>abe04c331bbddf8cb16899311272dfb21</anchor>
      <arglist>(QItemSelectionModel *selectionModel)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::StandardContactFormatter</name>
    <filename>classAkonadi_1_1StandardContactFormatter.html</filename>
    <base>Akonadi::AbstractContactFormatter</base>
    <member kind="function">
      <type></type>
      <name>StandardContactFormatter</name>
      <anchorfile>classAkonadi_1_1StandardContactFormatter.html</anchorfile>
      <anchor>a2ec664b3d79d8c122652a66af216dc24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~StandardContactFormatter</name>
      <anchorfile>classAkonadi_1_1StandardContactFormatter.html</anchorfile>
      <anchor>a0311b1a2c518892ead0bdad38b75bc18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>toHtml</name>
      <anchorfile>classAkonadi_1_1StandardContactFormatter.html</anchorfile>
      <anchor>ad8c098bf4aa046c95cdcd6444871016d</anchor>
      <arglist>(HtmlForm form=SelfcontainedForm) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::StandardContactGroupFormatter</name>
    <filename>classAkonadi_1_1StandardContactGroupFormatter.html</filename>
    <base>Akonadi::AbstractContactGroupFormatter</base>
    <member kind="function">
      <type></type>
      <name>StandardContactGroupFormatter</name>
      <anchorfile>classAkonadi_1_1StandardContactGroupFormatter.html</anchorfile>
      <anchor>a3c54713a6003037ca6e519ffce96e214</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~StandardContactGroupFormatter</name>
      <anchorfile>classAkonadi_1_1StandardContactGroupFormatter.html</anchorfile>
      <anchor>a0b14962cc18a2d6af3ec42ffec5514da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>toHtml</name>
      <anchorfile>classAkonadi_1_1StandardContactGroupFormatter.html</anchorfile>
      <anchor>a5ce9e45b8db0c775f0b14dfb6d1b0589</anchor>
      <arglist>(HtmlForm form=SelfcontainedForm) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::TextBrowser</name>
    <filename>classAkonadi_1_1TextBrowser.html</filename>
  </compound>
  <compound kind="dir">
    <name>actions</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/akonadi/contact/actions/</path>
    <filename>dir_0b5c2b123de5f2912b0c4950c07e4afc.html</filename>
    <file>dialphonenumberaction.cpp</file>
    <file>dialphonenumberaction.h</file>
    <file>qdialer.cpp</file>
    <file>qdialer.h</file>
    <file>qskypedialer.cpp</file>
    <file>qskypedialer.h</file>
    <file>qwincedialer.cpp</file>
    <file>qwincedialer.h</file>
    <file>sendsmsaction.cpp</file>
    <file>sendsmsaction.h</file>
    <file>showaddressaction.cpp</file>
    <file>showaddressaction.h</file>
    <file>smsdialog.cpp</file>
    <file>smsdialog.h</file>
  </compound>
  <compound kind="dir">
    <name>akonadi</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/akonadi/</path>
    <filename>dir_24dfea36ca2fa88dd58df11784a68dea.html</filename>
    <dir>contact</dir>
  </compound>
  <compound kind="dir">
    <name>contact</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/akonadi/contact/</path>
    <filename>dir_79063996722925c34d071951bc768f5f.html</filename>
    <dir>actions</dir>
    <dir>editor</dir>
    <dir>kcm</dir>
    <file>abstractcontacteditorwidget_p.h</file>
    <file>abstractcontactformatter.cpp</file>
    <file>abstractcontactformatter.h</file>
    <file>abstractcontactgroupformatter.cpp</file>
    <file>abstractcontactgroupformatter.h</file>
    <file>akonadi-contact_export.h</file>
    <file>akonadi-contactprivate_export.h</file>
    <file>attributeregistrar.cpp</file>
    <file>autoqpointer_p.h</file>
    <file>collectionfiltermodel.cpp</file>
    <file>collectionfiltermodel_p.h</file>
    <file>contactcompletionmodel.cpp</file>
    <file>contactcompletionmodel_p.h</file>
    <file>contactdefaultactions.cpp</file>
    <file>contactdefaultactions.h</file>
    <file>contacteditor.cpp</file>
    <file>contacteditor.h</file>
    <file>contacteditordialog.cpp</file>
    <file>contacteditordialog.h</file>
    <file>contacteditorpageplugin.h</file>
    <file>contactgroupeditor.cpp</file>
    <file>contactgroupeditor.h</file>
    <file>contactgroupeditor_p.h</file>
    <file>contactgroupeditordelegate.cpp</file>
    <file>contactgroupeditordelegate_p.h</file>
    <file>contactgroupeditordialog.cpp</file>
    <file>contactgroupeditordialog.h</file>
    <file>contactgroupexpandjob.cpp</file>
    <file>contactgroupexpandjob.h</file>
    <file>contactgrouplineedit.cpp</file>
    <file>contactgrouplineedit_p.h</file>
    <file>contactgroupmodel.cpp</file>
    <file>contactgroupmodel_p.h</file>
    <file>contactgroupsearchjob.cpp</file>
    <file>contactgroupsearchjob.h</file>
    <file>contactgroupviewer.cpp</file>
    <file>contactgroupviewer.h</file>
    <file>contactgroupviewerdialog.cpp</file>
    <file>contactgroupviewerdialog.h</file>
    <file>contactmetadata.cpp</file>
    <file>contactmetadata_p.h</file>
    <file>contactmetadataattribute.cpp</file>
    <file>contactmetadataattribute_p.h</file>
    <file>contactsearchjob.cpp</file>
    <file>contactsearchjob.h</file>
    <file>contactsfilterproxymodel.cpp</file>
    <file>contactsfilterproxymodel.h</file>
    <file>contactstreemodel.cpp</file>
    <file>contactstreemodel.h</file>
    <file>contactviewer.cpp</file>
    <file>contactviewer.h</file>
    <file>contactviewerdialog.cpp</file>
    <file>contactviewerdialog.h</file>
    <file>customfieldmanager.cpp</file>
    <file>customfieldmanager_p.h</file>
    <file>customfields.cpp</file>
    <file>customfields_p.h</file>
    <file>emailaddressselection.cpp</file>
    <file>emailaddressselection.h</file>
    <file>emailaddressselection_p.h</file>
    <file>emailaddressselectiondialog.cpp</file>
    <file>emailaddressselectiondialog.h</file>
    <file>emailaddressselectionproxymodel.cpp</file>
    <file>emailaddressselectionproxymodel_p.h</file>
    <file>emailaddressselectionwidget.cpp</file>
    <file>emailaddressselectionwidget.h</file>
    <file>leafextensionproxymodel.cpp</file>
    <file>leafextensionproxymodel_p.h</file>
    <file>recentcontactscollectionrequestjob.cpp</file>
    <file>recentcontactscollectionrequestjob.h</file>
    <file>recentcontactscollections.cpp</file>
    <file>recentcontactscollections_p.h</file>
    <file>standardcontactactionmanager.cpp</file>
    <file>standardcontactactionmanager.h</file>
    <file>standardcontactformatter.cpp</file>
    <file>standardcontactformatter.h</file>
    <file>standardcontactgroupformatter.cpp</file>
    <file>standardcontactgroupformatter.h</file>
    <file>textbrowser.cpp</file>
    <file>textbrowser_p.h</file>
    <file>waitingoverlay.cpp</file>
    <file>waitingoverlay_p.h</file>
  </compound>
  <compound kind="dir">
    <name>editor</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/akonadi/contact/editor/</path>
    <filename>dir_11912cc470c29e9270859154d3781c39.html</filename>
    <dir>im</dir>
    <file>addresseditwidget.cpp</file>
    <file>addresseditwidget.h</file>
    <file>categorieseditwidget.cpp</file>
    <file>categorieseditwidget.h</file>
    <file>contacteditorwidget.cpp</file>
    <file>contacteditorwidget.h</file>
    <file>customfieldeditordialog.cpp</file>
    <file>customfieldeditordialog.h</file>
    <file>customfieldsdelegate.cpp</file>
    <file>customfieldsdelegate.h</file>
    <file>customfieldseditwidget.cpp</file>
    <file>customfieldseditwidget.h</file>
    <file>customfieldsmodel.cpp</file>
    <file>customfieldsmodel.h</file>
    <file>dateeditwidget.cpp</file>
    <file>dateeditwidget.h</file>
    <file>displaynameeditwidget.cpp</file>
    <file>displaynameeditwidget.h</file>
    <file>emaileditwidget.cpp</file>
    <file>emaileditwidget.h</file>
    <file>freebusyeditwidget.cpp</file>
    <file>freebusyeditwidget.h</file>
    <file>geoeditwidget.cpp</file>
    <file>geoeditwidget.h</file>
    <file>imagewidget.cpp</file>
    <file>imagewidget.h</file>
    <file>imeditwidget.cpp</file>
    <file>imeditwidget.h</file>
    <file>kdatepickerpopup.cpp</file>
    <file>kdatepickerpopup_p.h</file>
    <file>kedittagsdialog.cpp</file>
    <file>kedittagsdialog_p.h</file>
    <file>nameeditdialog.cpp</file>
    <file>nameeditdialog.h</file>
    <file>nameeditwidget.cpp</file>
    <file>nameeditwidget.h</file>
    <file>phoneeditwidget.cpp</file>
    <file>phoneeditwidget.h</file>
    <file>secrecyeditwidget.cpp</file>
    <file>secrecyeditwidget.h</file>
    <file>soundeditwidget.cpp</file>
    <file>soundeditwidget.h</file>
    <file>tagwidget.cpp</file>
    <file>tagwidget.h</file>
  </compound>
  <compound kind="dir">
    <name>im</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/akonadi/contact/editor/im/</path>
    <filename>dir_c95c3a09937029887945ff27563893fa.html</filename>
    <file>imdelegate.cpp</file>
    <file>imdelegate.h</file>
    <file>imeditordialog.cpp</file>
    <file>imeditordialog.h</file>
    <file>imitemdialog.cpp</file>
    <file>imitemdialog.h</file>
    <file>immodel.cpp</file>
    <file>immodel.h</file>
    <file>improtocols.cpp</file>
    <file>improtocols.h</file>
  </compound>
  <compound kind="dir">
    <name>kcm</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/akonadi/contact/kcm/</path>
    <filename>dir_d7affbf89b0b2a340c55809df0996c16.html</filename>
    <file>kcmakonadicontactactions.cpp</file>
    <file>kcmakonadicontactactions.h</file>
  </compound>
</tagfile>
