<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>rfccodecs.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kimap/</path>
    <filename>rfccodecs_8cpp</filename>
    <includes id="rfccodecs_8h" name="rfccodecs.h" local="yes" imported="no">rfccodecs.h</includes>
  </compound>
  <compound kind="file">
    <name>rfccodecs.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kimap/</path>
    <filename>rfccodecs_8h</filename>
  </compound>
  <compound kind="class">
    <name>KIMAP::AclJobBase</name>
    <filename>classKIMAP_1_1AclJobBase.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>AclModifier</name>
      <anchorfile>classKIMAP_1_1AclJobBase.html</anchorfile>
      <anchor>a0b72f074883110f932ff308f3d9085e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mailBox</name>
      <anchorfile>classKIMAP_1_1AclJobBase.html</anchorfile>
      <anchor>a95ab068b7bb72b69c90368abad09f60e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailBox</name>
      <anchorfile>classKIMAP_1_1AclJobBase.html</anchorfile>
      <anchor>a6896a68f622e476fc2d6145fd5ad2a4b</anchor>
      <arglist>(const QString &amp;mailBox)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::AppendJob</name>
    <filename>classKIMAP_1_1AppendJob.html</filename>
    <member kind="function">
      <type>QByteArray</type>
      <name>content</name>
      <anchorfile>classKIMAP_1_1AppendJob.html</anchorfile>
      <anchor>abcf6e91c9fa6fddfca2ca155dc371582</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QByteArray &gt;</type>
      <name>flags</name>
      <anchorfile>classKIMAP_1_1AppendJob.html</anchorfile>
      <anchor>a0ff4a5b4975c6305ad4eed23603eadb6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mailBox</name>
      <anchorfile>classKIMAP_1_1AppendJob.html</anchorfile>
      <anchor>afc233891fbbe0dd589373295e1ce1691</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContent</name>
      <anchorfile>classKIMAP_1_1AppendJob.html</anchorfile>
      <anchor>ab4171b988b14e02e6608c2f593057c20</anchor>
      <arglist>(const QByteArray &amp;content)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFlags</name>
      <anchorfile>classKIMAP_1_1AppendJob.html</anchorfile>
      <anchor>a3e1be1dea59a8e2a5b4e1c3a4cca7a08</anchor>
      <arglist>(const QList&lt; QByteArray &gt; &amp;flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailBox</name>
      <anchorfile>classKIMAP_1_1AppendJob.html</anchorfile>
      <anchor>ade9f2a5cdd37831292b33dff1a2dddb5</anchor>
      <arglist>(const QString &amp;mailBox)</arglist>
    </member>
    <member kind="function">
      <type>qint64</type>
      <name>uid</name>
      <anchorfile>classKIMAP_1_1AppendJob.html</anchorfile>
      <anchor>a9de2aa970322e51ea594dd84e3f0ea3f</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::CapabilitiesJob</name>
    <filename>classKIMAP_1_1CapabilitiesJob.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>capabilitiesReceived</name>
      <anchorfile>classKIMAP_1_1CapabilitiesJob.html</anchorfile>
      <anchor>ae098ee4defa483ba3908f2d3e82471ef</anchor>
      <arglist>(const QStringList &amp;capabilities)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>capabilities</name>
      <anchorfile>classKIMAP_1_1CapabilitiesJob.html</anchorfile>
      <anchor>a6d5835d7456e0ec7546f4a99ea4de8da</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::CloseJob</name>
    <filename>classKIMAP_1_1CloseJob.html</filename>
  </compound>
  <compound kind="class">
    <name>KIMAP::CopyJob</name>
    <filename>classKIMAP_1_1CopyJob.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>isUidBased</name>
      <anchorfile>classKIMAP_1_1CopyJob.html</anchorfile>
      <anchor>a4217ddcfdebf15c75ff6578420a52e74</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mailBox</name>
      <anchorfile>classKIMAP_1_1CopyJob.html</anchorfile>
      <anchor>a49858f6e225e69c179a41d6bb721f54f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ImapSet</type>
      <name>resultingUids</name>
      <anchorfile>classKIMAP_1_1CopyJob.html</anchorfile>
      <anchor>a0365b01aeb5edfbf8416dc2a04b8f5c5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ImapSet</type>
      <name>sequenceSet</name>
      <anchorfile>classKIMAP_1_1CopyJob.html</anchorfile>
      <anchor>a46449d73b5c6f07e55f3b294e07c387d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailBox</name>
      <anchorfile>classKIMAP_1_1CopyJob.html</anchorfile>
      <anchor>ad92db3c1903f838e9a46086770ab537c</anchor>
      <arglist>(const QString &amp;mailBox)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSequenceSet</name>
      <anchorfile>classKIMAP_1_1CopyJob.html</anchorfile>
      <anchor>a9714f77311efc56bfa7c5a346318274a</anchor>
      <arglist>(const ImapSet &amp;set)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUidBased</name>
      <anchorfile>classKIMAP_1_1CopyJob.html</anchorfile>
      <anchor>a07fb4e396be1067d68f192956c3722b7</anchor>
      <arglist>(bool uidBased)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::CreateJob</name>
    <filename>classKIMAP_1_1CreateJob.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>mailBox</name>
      <anchorfile>classKIMAP_1_1CreateJob.html</anchorfile>
      <anchor>a24a8c70a65c8c972994308edfcbd0918</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailBox</name>
      <anchorfile>classKIMAP_1_1CreateJob.html</anchorfile>
      <anchor>aabb0bcfbe9a002bddafa7f5aa9a78397</anchor>
      <arglist>(const QString &amp;mailBox)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::DeleteAclJob</name>
    <filename>classKIMAP_1_1DeleteAclJob.html</filename>
    <base>KIMAP::AclJobBase</base>
    <member kind="function">
      <type>QByteArray</type>
      <name>identifier</name>
      <anchorfile>classKIMAP_1_1DeleteAclJob.html</anchorfile>
      <anchor>afc6feae9db068efa5dd2d53d22387abc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKIMAP_1_1DeleteAclJob.html</anchorfile>
      <anchor>ab89ad34dcf2486280fcae56371a0fed4</anchor>
      <arglist>(const QByteArray &amp;identifier)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::DeleteJob</name>
    <filename>classKIMAP_1_1DeleteJob.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>mailBox</name>
      <anchorfile>classKIMAP_1_1DeleteJob.html</anchorfile>
      <anchor>a641fe1c934cdb397b57cc0b217fde956</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailBox</name>
      <anchorfile>classKIMAP_1_1DeleteJob.html</anchorfile>
      <anchor>acbc465f15d6274da4a63f8758f78735f</anchor>
      <arglist>(const QString &amp;mailBox)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::ExpungeJob</name>
    <filename>classKIMAP_1_1ExpungeJob.html</filename>
  </compound>
  <compound kind="class">
    <name>KIMAP::FetchJob</name>
    <filename>classKIMAP_1_1FetchJob.html</filename>
    <class kind="struct">KIMAP::FetchJob::FetchScope</class>
    <member kind="signal">
      <type>void</type>
      <name>headersReceived</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>a62df78a95937356b16782fde4a6d1b57</anchor>
      <arglist>(const QString &amp;mailBox, const QMap&lt; qint64, qint64 &gt; &amp;uids, const QMap&lt; qint64, qint64 &gt; &amp;sizes, const QMap&lt; qint64, KIMAP::MessageFlags &gt; &amp;flags, const QMap&lt; qint64, KIMAP::MessagePtr &gt; &amp;messages)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>messagesReceived</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>ae22cf31346db914d17506945a733e427</anchor>
      <arglist>(const QString &amp;mailBox, const QMap&lt; qint64, qint64 &gt; &amp;uids, const QMap&lt; qint64, KIMAP::MessagePtr &gt; &amp;messages)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partsReceived</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>a50d1333dd91385c89411a7cbc3983df9</anchor>
      <arglist>(const QString &amp;mailBox, const QMap&lt; qint64, qint64 &gt; &amp;uids, const QMap&lt; qint64, KIMAP::MessageParts &gt; &amp;parts)</arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; qint64, MessageFlags &gt;</type>
      <name>flags</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>ad4abacbcac6223b44d3542f1862abf7c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUidBased</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>a0bd99400eb3a13a916462e605540a4e6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; qint64, MessagePtr &gt;</type>
      <name>messages</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>aadec2e85edb8c3597fd2c474f9e9e0af</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; qint64, MessageParts &gt;</type>
      <name>parts</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>aa7d4f5f09b483458d855b4cda3a6a2d6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>FetchScope</type>
      <name>scope</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>a43ca83299dd39074ad292dcda8a0ca25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ImapSet</type>
      <name>sequenceSet</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>a084117af699c56640163340ce0aa9d33</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScope</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>aeb36d1e12240456be9d9761807b2dc1a</anchor>
      <arglist>(const FetchScope &amp;scope)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSequenceSet</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>abca0ae71292c5e2adfc99ee0997a26bf</anchor>
      <arglist>(const ImapSet &amp;set)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUidBased</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>a1b195a77c885a4dd4117e47c5848d2fe</anchor>
      <arglist>(bool uidBased)</arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; qint64, qint64 &gt;</type>
      <name>sizes</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>aef1262171708dd870943d6c893924931</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; qint64, qint64 &gt;</type>
      <name>uids</name>
      <anchorfile>classKIMAP_1_1FetchJob.html</anchorfile>
      <anchor>a4b29bd12601d00278c50605ce0ccb8cb</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KIMAP::FetchJob::FetchScope</name>
    <filename>structKIMAP_1_1FetchJob_1_1FetchScope.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Mode</name>
      <anchorfile>structKIMAP_1_1FetchJob_1_1FetchScope.html</anchorfile>
      <anchor>aba3986315de057610b94dccbe918fa3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Headers</name>
      <anchorfile>structKIMAP_1_1FetchJob_1_1FetchScope.html</anchorfile>
      <anchor>aba3986315de057610b94dccbe918fa3fa939ab1eb1e7f102620de0f71b9d4221f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Flags</name>
      <anchorfile>structKIMAP_1_1FetchJob_1_1FetchScope.html</anchorfile>
      <anchor>aba3986315de057610b94dccbe918fa3fac68b71a6c55407b41ea395c4e786f018</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Structure</name>
      <anchorfile>structKIMAP_1_1FetchJob_1_1FetchScope.html</anchorfile>
      <anchor>aba3986315de057610b94dccbe918fa3fa94a464913c4b69e5d2e494379cb196c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Content</name>
      <anchorfile>structKIMAP_1_1FetchJob_1_1FetchScope.html</anchorfile>
      <anchor>aba3986315de057610b94dccbe918fa3fab335db5a0173f37a60839b366c982150</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Full</name>
      <anchorfile>structKIMAP_1_1FetchJob_1_1FetchScope.html</anchorfile>
      <anchor>aba3986315de057610b94dccbe918fa3fa732187db1df8763c1c29ffbec0e8f4db</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>HeaderAndContent</name>
      <anchorfile>structKIMAP_1_1FetchJob_1_1FetchScope.html</anchorfile>
      <anchor>aba3986315de057610b94dccbe918fa3fac1fa9f904e91461c8e996b884660f470</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Mode</type>
      <name>mode</name>
      <anchorfile>structKIMAP_1_1FetchJob_1_1FetchScope.html</anchorfile>
      <anchor>aab70c6152ab6945508ca88debd657666</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QList&lt; QByteArray &gt;</type>
      <name>parts</name>
      <anchorfile>structKIMAP_1_1FetchJob_1_1FetchScope.html</anchorfile>
      <anchor>afff503cba9e11706559ceeaf58c7302d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::GetAclJob</name>
    <filename>classKIMAP_1_1GetAclJob.html</filename>
    <base>KIMAP::AclJobBase</base>
    <member kind="function">
      <type>QMap&lt; QByteArray, Acl::Rights &gt;</type>
      <name>allRights</name>
      <anchorfile>classKIMAP_1_1GetAclJob.html</anchorfile>
      <anchor>a10c0bf76b45d3f40f82336078bba6b4c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasRightEnabled</name>
      <anchorfile>classKIMAP_1_1GetAclJob.html</anchorfile>
      <anchor>a208540ea1f14511c719dd9dada5c09bc</anchor>
      <arglist>(const QByteArray &amp;identifier, Acl::Right right) const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QByteArray &gt;</type>
      <name>identifiers</name>
      <anchorfile>classKIMAP_1_1GetAclJob.html</anchorfile>
      <anchor>a2220063c8f949f91a4497b4d65134784</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Acl::Rights</type>
      <name>rights</name>
      <anchorfile>classKIMAP_1_1GetAclJob.html</anchorfile>
      <anchor>a8585238eb6eb8ea3488f0346ca3e63a2</anchor>
      <arglist>(const QByteArray &amp;identifier) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::GetMetaDataJob</name>
    <filename>classKIMAP_1_1GetMetaDataJob.html</filename>
    <base>KIMAP::MetaDataJobBase</base>
    <member kind="enumeration">
      <type></type>
      <name>Depth</name>
      <anchorfile>classKIMAP_1_1GetMetaDataJob.html</anchorfile>
      <anchor>a3dc84ff1310388c21845fc6f277567ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NoDepth</name>
      <anchorfile>classKIMAP_1_1GetMetaDataJob.html</anchorfile>
      <anchor>a3dc84ff1310388c21845fc6f277567edabbe6135488a0521fbb1d389b18319239</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>OneLevel</name>
      <anchorfile>classKIMAP_1_1GetMetaDataJob.html</anchorfile>
      <anchor>a3dc84ff1310388c21845fc6f277567edaa36e134840226717928f5c9a1aa7a606</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>AllLevels</name>
      <anchorfile>classKIMAP_1_1GetMetaDataJob.html</anchorfile>
      <anchor>a3dc84ff1310388c21845fc6f277567eda2c5a9a6e29149f73b31da10a0c0acd64</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>ServerCapability</name>
      <anchorfile>classKIMAP_1_1MetaDataJobBase.html</anchorfile>
      <anchor>a84fa57cdfdbe30d6f7e44d0dafe0b1de</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Metadata</name>
      <anchorfile>classKIMAP_1_1MetaDataJobBase.html</anchorfile>
      <anchor>a84fa57cdfdbe30d6f7e44d0dafe0b1deae9dea8a392120c5d36cff66657678ccb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Annotatemore</name>
      <anchorfile>classKIMAP_1_1MetaDataJobBase.html</anchorfile>
      <anchor>a84fa57cdfdbe30d6f7e44d0dafe0b1dea709ee45a9579b71d23dd26fca78880cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchorfile>classKIMAP_1_1GetMetaDataJob.html</anchorfile>
      <anchor>a53064d35577bbf5519c4192bc09184c6</anchor>
      <arglist>(const QByteArray &amp;entry, const QByteArray &amp;attribute=QByteArray())</arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QByteArray, QMap&lt; QByteArray, QByteArray &gt; &gt;</type>
      <name>allMetaData</name>
      <anchorfile>classKIMAP_1_1GetMetaDataJob.html</anchorfile>
      <anchor>a163a932a3eb84e41fd510413db973a73</anchor>
      <arglist>(const QString &amp;mailBox) const </arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>metaData</name>
      <anchorfile>classKIMAP_1_1GetMetaDataJob.html</anchorfile>
      <anchor>a57a92920714e81c5e4620496f84b87be</anchor>
      <arglist>(const QString &amp;mailBox, const QByteArray &amp;entry, const QByteArray &amp;attribute=QByteArray()) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDepth</name>
      <anchorfile>classKIMAP_1_1GetMetaDataJob.html</anchorfile>
      <anchor>a86105952c6ea6926f3e0d4c3988d1105</anchor>
      <arglist>(Depth depth)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaximumSize</name>
      <anchorfile>classKIMAP_1_1GetMetaDataJob.html</anchorfile>
      <anchor>ac90de8a3c2ef91fa8930f1e0db8e080e</anchor>
      <arglist>(qint64 size)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mailBox</name>
      <anchorfile>classKIMAP_1_1MetaDataJobBase.html</anchorfile>
      <anchor>aed4f58a82f0e920708f352142a687992</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ServerCapability</type>
      <name>serverCapability</name>
      <anchorfile>classKIMAP_1_1MetaDataJobBase.html</anchorfile>
      <anchor>a1f5ddeabbef5d71c595ff53b8b56286d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailBox</name>
      <anchorfile>classKIMAP_1_1MetaDataJobBase.html</anchorfile>
      <anchor>a6d68d23dd16790c56fd9f443d89f9d25</anchor>
      <arglist>(const QString &amp;mailBox)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setServerCapability</name>
      <anchorfile>classKIMAP_1_1MetaDataJobBase.html</anchorfile>
      <anchor>a46e6b001fccc3b101b79fe8e2b074dd4</anchor>
      <arglist>(const ServerCapability &amp;capability)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::GetQuotaJob</name>
    <filename>classKIMAP_1_1GetQuotaJob.html</filename>
    <base>KIMAP::QuotaJobBase</base>
    <member kind="function">
      <type>QByteArray</type>
      <name>root</name>
      <anchorfile>classKIMAP_1_1GetQuotaJob.html</anchorfile>
      <anchor>a16ff51ffcf86672c87c92bf5d82788ff</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRoot</name>
      <anchorfile>classKIMAP_1_1GetQuotaJob.html</anchorfile>
      <anchor>a849d9b46755848d0846932f5b2f15c08</anchor>
      <arglist>(const QByteArray &amp;root)</arglist>
    </member>
    <member kind="function">
      <type>qint64</type>
      <name>limit</name>
      <anchorfile>classKIMAP_1_1QuotaJobBase.html</anchorfile>
      <anchor>a666c872e138e4282489c37d20f91530e</anchor>
      <arglist>(const QByteArray &amp;resource)</arglist>
    </member>
    <member kind="function">
      <type>qint64</type>
      <name>usage</name>
      <anchorfile>classKIMAP_1_1QuotaJobBase.html</anchorfile>
      <anchor>a3cbe5c8641f99b5dea8de09ffde4e954</anchor>
      <arglist>(const QByteArray &amp;resource)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::GetQuotaRootJob</name>
    <filename>classKIMAP_1_1GetQuotaRootJob.html</filename>
    <base>KIMAP::QuotaJobBase</base>
    <member kind="function">
      <type>QMap&lt; QByteArray, qint64 &gt;</type>
      <name>allLimits</name>
      <anchorfile>classKIMAP_1_1GetQuotaRootJob.html</anchorfile>
      <anchor>a08767a0124ca726e7fd6e36f9e4f4edc</anchor>
      <arglist>(const QByteArray &amp;root) const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QByteArray, qint64 &gt;</type>
      <name>allUsages</name>
      <anchorfile>classKIMAP_1_1GetQuotaRootJob.html</anchorfile>
      <anchor>a458f56e584e34b3e60417435ab8c7fad</anchor>
      <arglist>(const QByteArray &amp;root) const </arglist>
    </member>
    <member kind="function">
      <type>qint64</type>
      <name>limit</name>
      <anchorfile>classKIMAP_1_1GetQuotaRootJob.html</anchorfile>
      <anchor>a7542bd50091c7d349d17642428bf5f67</anchor>
      <arglist>(const QByteArray &amp;root, const QByteArray &amp;resource) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mailBox</name>
      <anchorfile>classKIMAP_1_1GetQuotaRootJob.html</anchorfile>
      <anchor>af53aea28f79ff6afbbec639010d6978c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QByteArray &gt;</type>
      <name>roots</name>
      <anchorfile>classKIMAP_1_1GetQuotaRootJob.html</anchorfile>
      <anchor>a08fbf8d0472019f216eb1ef4c8ffb1d7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailBox</name>
      <anchorfile>classKIMAP_1_1GetQuotaRootJob.html</anchorfile>
      <anchor>aa9599890f1a52fc6381170870611fe6a</anchor>
      <arglist>(const QString &amp;mailBox)</arglist>
    </member>
    <member kind="function">
      <type>qint64</type>
      <name>usage</name>
      <anchorfile>classKIMAP_1_1GetQuotaRootJob.html</anchorfile>
      <anchor>a32c5705b42515d29999f891d36599743</anchor>
      <arglist>(const QByteArray &amp;root, const QByteArray &amp;resource) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::IdleJob</name>
    <filename>classKIMAP_1_1IdleJob.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKIMAP_1_1IdleJob.html</anchorfile>
      <anchor>a169448c8ca4a560180cc4590f227964a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mailBoxStats</name>
      <anchorfile>classKIMAP_1_1IdleJob.html</anchorfile>
      <anchor>a6c3b10e5f485675dd7836ea60517d634</anchor>
      <arglist>(KIMAP::IdleJob *job, const QString &amp;mailBox, int messageCount, int recentCount)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>lastMailBox</name>
      <anchorfile>classKIMAP_1_1IdleJob.html</anchorfile>
      <anchor>ab1adcc7119675699a203c02c2e7f88af</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lastMessageCount</name>
      <anchorfile>classKIMAP_1_1IdleJob.html</anchorfile>
      <anchor>a6cc68010ad2e5aeb33faf8c93eb5b407</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lastRecentCount</name>
      <anchorfile>classKIMAP_1_1IdleJob.html</anchorfile>
      <anchor>a8b3b97404587efede12d8dbce8d571c5</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::ImapInterval</name>
    <filename>classKIMAP_1_1ImapInterval.html</filename>
    <member kind="typedef">
      <type>qint64</type>
      <name>Id</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>acb267d5704910baca932d793a77cba55</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QList&lt; ImapInterval &gt;</type>
      <name>List</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>ab4b1aa5b486a3050a8eda1295b9acff0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImapInterval</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>a153b5ceff6ffe608ea490bd79ea2237c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImapInterval</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>a717af0bca7abcff06f31ff10560a0de7</anchor>
      <arglist>(const ImapInterval &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImapInterval</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>aba7d1b96f0277e2638e2002f0e4024f6</anchor>
      <arglist>(Id begin, Id end=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ImapInterval</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>a430a54b01421d6ac674585e9529c045f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Id</type>
      <name>begin</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>a6752376f3096e054241a344c17281e63</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Id</type>
      <name>end</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>ac86a6da2d3ab484fcd94b12ff893c345</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasDefinedBegin</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>aab2273de831673f5c02fa1045e39b284</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasDefinedEnd</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>a51c696af4663a86c50f2bfd06d56f661</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ImapInterval &amp;</type>
      <name>operator=</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>a266bfd7154d9187117012a7a17cbc789</anchor>
      <arglist>(const ImapInterval &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>ad5313afd143fa2699ba8e64678568aeb</anchor>
      <arglist>(const ImapInterval &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBegin</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>ac128c4d438350c39b989397bd478533f</anchor>
      <arglist>(Id value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnd</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>a6996c6aeab73e7a37f5ada8f7f6f8629</anchor>
      <arglist>(Id value)</arglist>
    </member>
    <member kind="function">
      <type>Id</type>
      <name>size</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>a7067b3ae0f28c4f1888eacbc270fb8c9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>toImapSequence</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>ac5664940e70006e65dd3b85bee97c6e7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ImapInterval</type>
      <name>fromImapSequence</name>
      <anchorfile>classKIMAP_1_1ImapInterval.html</anchorfile>
      <anchor>a325083956067d1430f9de3d0fef8d3cd</anchor>
      <arglist>(const QByteArray &amp;sequence)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::ImapSet</name>
    <filename>classKIMAP_1_1ImapSet.html</filename>
    <member kind="typedef">
      <type>qint64</type>
      <name>Id</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>a8b9d74b79c72ce5c4d5702a6c9310e82</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImapSet</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>a31cb09a45e02982c189c83dca815be90</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImapSet</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>a76a582d7e53b8440450e963f89a7fd9f</anchor>
      <arglist>(Id begin, Id end)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImapSet</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>acbfc6c1677aad14bdfb575153883ab4b</anchor>
      <arglist>(Id value)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImapSet</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>a43002a8c2c2353f277f155bf5660186e</anchor>
      <arglist>(const ImapSet &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ImapSet</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>a02687612e9c77e5355f8731759e92c24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>a8c4a810c839d5d715a78bdaa2b758b14</anchor>
      <arglist>(Id value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>aef96a5611c1b293b389d5793c351825e</anchor>
      <arglist>(const QList&lt; Id &gt; &amp;values)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>a3194a5450cc5a54b5bf68200f1668a23</anchor>
      <arglist>(const ImapInterval &amp;interval)</arglist>
    </member>
    <member kind="function">
      <type>ImapInterval::List</type>
      <name>intervals</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>a1bb432b1b7b8e0e0bad93b675e9820b1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>a77ac783a442b99199d0f1a77783b4c48</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ImapSet &amp;</type>
      <name>operator=</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>ad3c9bf498beb5f0bd81901eb0d38efd4</anchor>
      <arglist>(const ImapSet &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>ab7ebce30aa3a010832e185be827544a2</anchor>
      <arglist>(const ImapSet &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>toImapSequenceSet</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>a95bba61ae669f5b24e7b6502d222117d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ImapSet</type>
      <name>fromImapSequenceSet</name>
      <anchorfile>classKIMAP_1_1ImapSet.html</anchorfile>
      <anchor>a91e2eb7f1636f1639a364117d7771593</anchor>
      <arglist>(const QByteArray &amp;sequence)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::ImapStreamParser</name>
    <filename>classKIMAP_1_1ImapStreamParser.html</filename>
    <member kind="function">
      <type></type>
      <name>ImapStreamParser</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>a075fe49ec1064f4ac988e5670007e613</anchor>
      <arglist>(QIODevice *socket, bool serverModeEnabled=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ImapStreamParser</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>a5f80b037115962a8604f01b448654378</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atCommandEnd</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>a2fcd553008ff0149dca51622ac8e9170</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atListEnd</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>a1ef20de4d4f38d298a00e08d1344fe09</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atLiteralEnd</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>aef787d3a33d69c9e105f2e8448c5b35f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atResponseCodeEnd</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>a2dfb0818d77253ccca91f977749180a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasList</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>a22301d276ec080255ec706a11fea83db</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasLiteral</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>a6835ff284a91dad09c8302eab1839369</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasResponseCode</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>ac858a5c9c39f2d052ea5d1ebf44ea731</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasString</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>aaac747127d08954f7465efb6669e651a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>readLiteralPart</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>af1460d57a5dd07f5b5a43c285e42efee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>qint64</type>
      <name>readNumber</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>ab3a92a87334862275d9bd538ad5ce41a</anchor>
      <arglist>(bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QByteArray &gt;</type>
      <name>readParenthesizedList</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>a107b3a37858ef0ad7a4fe4d7a3d07fdc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>readRemainingData</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>a681febd7dd43fb52ba7f92fb980b99b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>readString</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>a85961483d09fc13e84b5c4ce904e6d32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>readUntilCommandEnd</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>abc60834dae2ddd7f3f76fb3c4ef864ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>readUtf8String</name>
      <anchorfile>classKIMAP_1_1ImapStreamParser.html</anchorfile>
      <anchor>af118c627d84f84a408ab0d157f27e55f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::ListRightsJob</name>
    <filename>classKIMAP_1_1ListRightsJob.html</filename>
    <base>KIMAP::AclJobBase</base>
    <member kind="function">
      <type>Acl::Rights</type>
      <name>defaultRights</name>
      <anchorfile>classKIMAP_1_1ListRightsJob.html</anchorfile>
      <anchor>a8f25e99bbd3693aaa9a4110f445d1357</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>identifier</name>
      <anchorfile>classKIMAP_1_1ListRightsJob.html</anchorfile>
      <anchor>a2a746b9cc35d9f018a80eb7bc3c35415</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Acl::Rights &gt;</type>
      <name>possibleRights</name>
      <anchorfile>classKIMAP_1_1ListRightsJob.html</anchorfile>
      <anchor>a0ca7fca7c5354d17b5f778c21d911cc4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKIMAP_1_1ListRightsJob.html</anchorfile>
      <anchor>ad158b65225288e1c6372bdcaefe3387d</anchor>
      <arglist>(const QByteArray &amp;identifier)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::MetaDataJobBase</name>
    <filename>classKIMAP_1_1MetaDataJobBase.html</filename>
  </compound>
  <compound kind="class">
    <name>KIMAP::MyRightsJob</name>
    <filename>classKIMAP_1_1MyRightsJob.html</filename>
    <base>KIMAP::AclJobBase</base>
    <member kind="function">
      <type>bool</type>
      <name>hasRightEnabled</name>
      <anchorfile>classKIMAP_1_1MyRightsJob.html</anchorfile>
      <anchor>a22f576889479580cf5a41fc0ebe9a9d4</anchor>
      <arglist>(Acl::Right right)</arglist>
    </member>
    <member kind="function">
      <type>Acl::Rights</type>
      <name>rights</name>
      <anchorfile>classKIMAP_1_1MyRightsJob.html</anchorfile>
      <anchor>a71ebd6f5f0ed8f9e32d131e138f8eda1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::QuotaJobBase</name>
    <filename>classKIMAP_1_1QuotaJobBase.html</filename>
  </compound>
  <compound kind="class">
    <name>KIMAP::SessionUiProxy</name>
    <filename>classKIMAP_1_1SessionUiProxy.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>ignoreSslError</name>
      <anchorfile>classKIMAP_1_1SessionUiProxy.html</anchorfile>
      <anchor>aa02d64031ff01d20150b70d596aabd86</anchor>
      <arglist>(const KSslErrorUiData &amp;errorData)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::SetAclJob</name>
    <filename>classKIMAP_1_1SetAclJob.html</filename>
    <base>KIMAP::AclJobBase</base>
    <member kind="function">
      <type>QByteArray</type>
      <name>identifier</name>
      <anchorfile>classKIMAP_1_1SetAclJob.html</anchorfile>
      <anchor>a39347da0599130ff5f916f899a7f5ba8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKIMAP_1_1SetAclJob.html</anchorfile>
      <anchor>a19c2bfb8cdb24271bd3460716b613f73</anchor>
      <arglist>(const QByteArray &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRights</name>
      <anchorfile>classKIMAP_1_1SetAclJob.html</anchorfile>
      <anchor>a121162d457e05e8fbc5fa24996c5b03d</anchor>
      <arglist>(AclModifier modifier, Acl::Rights rights)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::SetMetaDataJob</name>
    <filename>classKIMAP_1_1SetMetaDataJob.html</filename>
    <base>KIMAP::MetaDataJobBase</base>
    <member kind="enumeration">
      <type></type>
      <name>MetaDataError</name>
      <anchorfile>classKIMAP_1_1SetMetaDataJob.html</anchorfile>
      <anchor>acb459417f3990e90f0549711a8d61471</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NoError</name>
      <anchorfile>classKIMAP_1_1SetMetaDataJob.html</anchorfile>
      <anchor>acb459417f3990e90f0549711a8d61471ae0356e044b551f73913c302f99d7e2eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>TooMany</name>
      <anchorfile>classKIMAP_1_1SetMetaDataJob.html</anchorfile>
      <anchor>acb459417f3990e90f0549711a8d61471ad30bcab344a94d6c6b58d06a52402371</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>TooBig</name>
      <anchorfile>classKIMAP_1_1SetMetaDataJob.html</anchorfile>
      <anchor>acb459417f3990e90f0549711a8d61471abe8454f02c9d0782bb8ccb918e3ae8fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NoPrivate</name>
      <anchorfile>classKIMAP_1_1SetMetaDataJob.html</anchorfile>
      <anchor>acb459417f3990e90f0549711a8d61471a7864657c7b4e5f3b7c2f0510d3bbcc84</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addMetaData</name>
      <anchorfile>classKIMAP_1_1SetMetaDataJob.html</anchorfile>
      <anchor>a8f690d9e62fe04a48997e1ff9b041110</anchor>
      <arglist>(const QByteArray &amp;name, const QByteArray &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>qint64</type>
      <name>maxAcceptedSize</name>
      <anchorfile>classKIMAP_1_1SetMetaDataJob.html</anchorfile>
      <anchor>a771d891aa60157e22fc65a7d2fa3199d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>MetaDataErrors</type>
      <name>metaDataErrors</name>
      <anchorfile>classKIMAP_1_1SetMetaDataJob.html</anchorfile>
      <anchor>abfc99e595c64490bbe5e9ba8d302d754</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEntry</name>
      <anchorfile>classKIMAP_1_1SetMetaDataJob.html</anchorfile>
      <anchor>aa3af93fad6bbe5be161ad59dda8b3744</anchor>
      <arglist>(const QByteArray &amp;entry)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMAP::SetQuotaJob</name>
    <filename>classKIMAP_1_1SetQuotaJob.html</filename>
    <base>KIMAP::QuotaJobBase</base>
    <member kind="function">
      <type>QByteArray</type>
      <name>root</name>
      <anchorfile>classKIMAP_1_1SetQuotaJob.html</anchorfile>
      <anchor>a38adf7c5c6715d83647ffed55a562c0e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setQuota</name>
      <anchorfile>classKIMAP_1_1SetQuotaJob.html</anchorfile>
      <anchor>aa59cb3d7b4ddc6eb0919ba2ca2ff10fb</anchor>
      <arglist>(const QByteArray &amp;resource, qint64 limit)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRoot</name>
      <anchorfile>classKIMAP_1_1SetQuotaJob.html</anchorfile>
      <anchor>ae8293ca19006d6bbb18ee72efe44c2a8</anchor>
      <arglist>(const QByteArray &amp;root)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KIMAP::Acl</name>
    <filename>namespaceKIMAP_1_1Acl.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Right</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Lookup</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a7409566c3f434a26746dd1008a18ea7b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Read</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171aba809f2dc705cfff259297ad932ff678</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>KeepSeen</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a2bc3ad3fb3c4721fe0903e75c3ca2a71</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Write</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171abc27e47671013cf73f40da00b375ebdf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Insert</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a407f3f769a0084dba3f246f683473403</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Post</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a9182dfdfc7c2574192d21bc19aaa9fe4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Create</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a3a10aeaa5d39fdfc03fa8730e94d355e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>CreateMailbox</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a13c6d4d7e012b21fcd6c265f596d3e69</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>DeleteMailbox</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171ad801490c2d2b5010af3ed2c144c652ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>DeleteMessage</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a99c1b7a739bb678eaffd9b49c3b6ebef</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Delete</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a23842eaf70526aee0664aea2eeedb207</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Admin</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a345ef9bfcf45bece56eb3b54f59b3022</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Expunge</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a021376460b40653179f3c851a6ade660</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>WriteShared</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a0cd6b89771085cd4323cb69aa6afaaf0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Custom0</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a54970982f3174b76069c111eb6525c26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Custom1</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a800571e92c86934d903a9849e7171834</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Custom2</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a62e19e88d854bcb44e3fa1d5aee43661</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Custom3</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a23847c67aea9c54e5fabacb60576a415</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Custom4</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a81665ac79d6f55e0aaa4fcddf654bc96</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Custom5</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a45aaf972132ec17a663c73e623b71570</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Custom6</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171ab109aa0981b10897f0633ba2d4295066</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Custom7</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a8864e4cda4b5473f6eae4b9d83326ab9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Custom8</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171abda3c68e6fb86157cf5bcbc1715f35fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Custom9</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a297cd72adddacd10f027051ff0ca2171a3438568b0b78d66fd1df56c280799834</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>Rights</type>
      <name>denormalizedRights</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a76893ef71182828180567851ace4a687</anchor>
      <arglist>(Rights rights)</arglist>
    </member>
    <member kind="function">
      <type>Rights</type>
      <name>normalizedRights</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a7bc7b8dda4708131e18101f5ef1b397b</anchor>
      <arglist>(Rights rights)</arglist>
    </member>
    <member kind="function">
      <type>Rights</type>
      <name>rightsFromString</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a105018980d8a24573f2326cb0c0f929a</anchor>
      <arglist>(const QByteArray &amp;string)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>rightsToString</name>
      <anchorfile>namespaceKIMAP_1_1Acl.html</anchorfile>
      <anchor>a1e6a3fcecef5c45d86c2155af9de4c82</anchor>
      <arglist>(Rights rights)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>kimap</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kimap/</path>
    <filename>dir_e09087ff1473143b3d9fdc034eb04f95.html</filename>
    <file>acl.cpp</file>
    <file>acl.h</file>
    <file>acljobbase.cpp</file>
    <file>acljobbase.h</file>
    <file>acljobbase_p.h</file>
    <file>appendjob.cpp</file>
    <file>appendjob.h</file>
    <file>capabilitiesjob.cpp</file>
    <file>capabilitiesjob.h</file>
    <file>closejob.cpp</file>
    <file>closejob.h</file>
    <file>copyjob.cpp</file>
    <file>copyjob.h</file>
    <file>createjob.cpp</file>
    <file>createjob.h</file>
    <file>deleteacljob.cpp</file>
    <file>deleteacljob.h</file>
    <file>deletejob.cpp</file>
    <file>deletejob.h</file>
    <file>expungejob.cpp</file>
    <file>expungejob.h</file>
    <file>fetchjob.cpp</file>
    <file>fetchjob.h</file>
    <file>getacljob.cpp</file>
    <file>getacljob.h</file>
    <file>getmetadatajob.cpp</file>
    <file>getmetadatajob.h</file>
    <file>getquotajob.cpp</file>
    <file>getquotajob.h</file>
    <file>getquotarootjob.cpp</file>
    <file>getquotarootjob.h</file>
    <file>idlejob.cpp</file>
    <file>idlejob.h</file>
    <file>imapset.cpp</file>
    <file>imapset.h</file>
    <file>imapstreamparser.cpp</file>
    <file>imapstreamparser.h</file>
    <file>job.cpp</file>
    <file>job.h</file>
    <file>job_p.h</file>
    <file>kimap_export.h</file>
    <file>listjob.cpp</file>
    <file>listjob.h</file>
    <file>listrightsjob.cpp</file>
    <file>listrightsjob.h</file>
    <file>loginjob.cpp</file>
    <file>loginjob.h</file>
    <file>logoutjob.cpp</file>
    <file>logoutjob.h</file>
    <file>message_p.h</file>
    <file>metadatajobbase.cpp</file>
    <file>metadatajobbase.h</file>
    <file>metadatajobbase_p.h</file>
    <file>myrightsjob.cpp</file>
    <file>myrightsjob.h</file>
    <file>namespacejob.cpp</file>
    <file>namespacejob.h</file>
    <file>quotajobbase.cpp</file>
    <file>quotajobbase.h</file>
    <file>quotajobbase_p.h</file>
    <file>renamejob.cpp</file>
    <file>renamejob.h</file>
    <file>rfccodecs.cpp</file>
    <file>rfccodecs.h</file>
    <file>searchjob.cpp</file>
    <file>searchjob.h</file>
    <file>selectjob.cpp</file>
    <file>selectjob.h</file>
    <file>session.cpp</file>
    <file>session.h</file>
    <file>session_p.h</file>
    <file>sessionlogger.cpp</file>
    <file>sessionlogger_p.h</file>
    <file>sessionthread.cpp</file>
    <file>sessionthread_p.h</file>
    <file>sessionuiproxy.h</file>
    <file>setacljob.cpp</file>
    <file>setacljob.h</file>
    <file>setmetadatajob.cpp</file>
    <file>setmetadatajob.h</file>
    <file>setquotajob.cpp</file>
    <file>setquotajob.h</file>
    <file>storejob.cpp</file>
    <file>storejob.h</file>
    <file>subscribejob.cpp</file>
    <file>subscribejob.h</file>
    <file>unsubscribejob.cpp</file>
    <file>unsubscribejob.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>KIMAP - a job-based API for interacting with IMAP servers</title>
    <filename>index</filename>
    <docanchor file="index" title="Purpose">purpose</docanchor>
    <docanchor file="index" title="Description">desc</docanchor>
  </compound>
</tagfile>
