<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>Akonadi::ImageProvider</name>
    <filename>classAkonadi_1_1ImageProvider.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>imageLoaded</name>
      <anchorfile>classAkonadi_1_1ImageProvider.html</anchorfile>
      <anchor>aed4dcd2fdf9a6cebb7dea26b9f495276</anchor>
      <arglist>(const QString &amp;who, const KUrl &amp;url, const QImage &amp;image)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>abortAllJobs</name>
      <anchorfile>classAkonadi_1_1ImageProvider.html</anchorfile>
      <anchor>ab2e3f5d9a7d373f05c8cedbe70e00392</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QImage</type>
      <name>loadImage</name>
      <anchorfile>classAkonadi_1_1ImageProvider.html</anchorfile>
      <anchor>a07beb63eebf8964947eb155f303a00c5</anchor>
      <arglist>(const QString &amp;who, const KUrl &amp;url, bool polishImage=false, KImageCache *cache=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::SocialFeedItem</name>
    <filename>classAkonadi_1_1SocialFeedItem.html</filename>
    <member kind="function">
      <type>QUrl</type>
      <name>avatarUrl</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a8519d9f04e36007cf34ac38bcb93ae50</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLiked</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a4f95d59daddbb702389d9733e3d98ec8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShared</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a4fbac9ffd93b508b74604c3eb51d0afd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QVariantMap</type>
      <name>itemSourceMap</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ab0d93352582c4c29d392ba2118a27ac7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>networkString</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a73947f71674d05c268d4d44cfd68c21f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a00ba842db85deff21676dc636be6e941</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>postImageUrl</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>af73d442be6ec2e5ce5fcd008f595e7fe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postInfo</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a99d05e390f119028e92c22b1068973f7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>postLink</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a45b3587ea0b12e608659319d1a76d7e4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postLinkTitle</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a356c04494ed6cd814f87486c9c3a781e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; SocialFeedItem &gt;</type>
      <name>postReplies</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a1634d1b2a843fe2dc2f0f2b55ce12a96</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postText</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a1ff5b53f074106b608218657afc47ad2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDateTime</type>
      <name>postTime</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ab3c91c5761ac527261e85e6d8a6ea5c4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postTimeFormat</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a5d27b4951fa686e34d6c243b3c47b8de</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postTimeString</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ab7c2c3d141523f574dea1d3c2be6c53a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAvatarUrl</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ae4e3daf9783bf37adc13e195bcaa61cc</anchor>
      <arglist>(const QUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemSourceMap</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a442537f3ba1e387bf09e4e719b807175</anchor>
      <arglist>(const QVariantMap &amp;itemSourceMap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLiked</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>aa72a7fdc0bc50899f16dc5b1031a0498</anchor>
      <arglist>(bool liked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNetworkString</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a9dedb3de1cd301f07ac08bd8deae3edc</anchor>
      <arglist>(const QString &amp;networkString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ab78cb676dedc9d7722b22534f980e93c</anchor>
      <arglist>(const QString &amp;postId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostImageUrl</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a72e5593ca9f7e6403b55487490d2cf00</anchor>
      <arglist>(const QUrl &amp;imageUrl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostInfo</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ad2e7a4717e6b5fc8ccf9f2a9d8ca0f1e</anchor>
      <arglist>(const QString &amp;postInfo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostLink</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ab7fe377106f9402ef943958c4f6bffab</anchor>
      <arglist>(const QUrl &amp;link)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostLinkTitle</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a319ed533eceb8eaaf37136292bd09145</anchor>
      <arglist>(const QString &amp;linkTitle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostReplies</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a10b1a644fa408afda724e0d65d00958a</anchor>
      <arglist>(const QList&lt; SocialFeedItem &gt; &amp;replies)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostText</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>aada2bf312815f334a0c43180000f639a</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostTime</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a46a4748c974dc47aae2214276d6d1b90</anchor>
      <arglist>(const QString &amp;postTimeString, const QString &amp;postTimeFormat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShared</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ab19822c76de059e5642dc775c5fb9add</anchor>
      <arglist>(bool shared)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSharedFrom</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a9d908c1b8b5ee9bf062e83a335189f61</anchor>
      <arglist>(const QString &amp;sharedFrom)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSharedFromId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a4d29195fe1d40a06696941c7d49b141b</anchor>
      <arglist>(const QString &amp;sharedFromId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUserDisplayName</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>aef91ba2393ae4716034feae86524c4f5</anchor>
      <arglist>(const QString &amp;userDisplayName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUserId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a176be675c5cacba40e2bee41c479e0b1</anchor>
      <arglist>(const QString &amp;userId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUserName</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ae0637abead7d39d46c4433e4126474da</anchor>
      <arglist>(const QString &amp;userName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>sharedFrom</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>af960759fb74688ffc2756644e273ded1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>sharedFromId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>aca5a2107cba210061ab5a7b778869d83</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userDisplayName</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>aa009e385ba39876cde81af4f2d187b06</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a416616d9e9467e0cc11b57f4ceed8f02</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userName</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a316e156b3f5581c0d8a35ccabf94156f</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>akonadi</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/akonadi/</path>
    <filename>dir_41a4db2e3b39ef44752b3f4516e122a0.html</filename>
    <dir>socialutils</dir>
  </compound>
  <compound kind="dir">
    <name>serializer</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/akonadi/socialutils/serializer/</path>
    <filename>dir_5f1c11317434a7e8577840ee0ba07422.html</filename>
    <file>akonadi_serializer_socialfeeditem.cpp</file>
    <file>akonadi_serializer_socialfeeditem.h</file>
  </compound>
  <compound kind="dir">
    <name>socialutils</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/akonadi/socialutils/</path>
    <filename>dir_9c15c2fff4d7bb02472276d1ef8b28cd.html</filename>
    <dir>serializer</dir>
    <file>imageprovider.cpp</file>
    <file>imageprovider.h</file>
    <file>libakonadisocialutils_export.h</file>
    <file>socialfeeditem.cpp</file>
    <file>socialfeeditem.h</file>
    <file>socialfeeditem_p.h</file>
    <file>socialnetworkattributes.cpp</file>
    <file>socialnetworkattributes.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Akonadi Social Utils - a collections of social-networks utilities for Akonadi</title>
    <filename>index</filename>
    <docanchor file="index" title="Purpose">purpose</docanchor>
    <docanchor file="index" title="Description">desc</docanchor>
  </compound>
</tagfile>
