<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>dndfactory.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kcalutils/</path>
    <filename>dndfactory_8cpp</filename>
    <includes id="dndfactory_8h" name="dndfactory.h" local="yes" imported="no">dndfactory.h</includes>
  </compound>
  <compound kind="file">
    <name>dndfactory.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kcalutils/</path>
    <filename>dndfactory_8h</filename>
    <class kind="class">KCalUtils::DndFactory</class>
    <namespace>KCalUtils</namespace>
  </compound>
  <compound kind="file">
    <name>incidenceformatter.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kcalutils/</path>
    <filename>incidenceformatter_8cpp</filename>
    <includes id="incidenceformatter_8h" name="incidenceformatter.h" local="yes" imported="no">incidenceformatter.h</includes>
    <includes id="stringify_8h" name="stringify.h" local="yes" imported="no">stringify.h</includes>
  </compound>
  <compound kind="file">
    <name>incidenceformatter.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kcalutils/</path>
    <filename>incidenceformatter_8h</filename>
    <namespace>KCalUtils</namespace>
    <namespace>KCalUtils::IncidenceFormatter</namespace>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>dateTimeToString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a6e09262c9c2a8b81d056ea447d6cb5be</anchor>
      <arglist>(const KDateTime &amp;date, bool dateOnly=false, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>dateToString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a81ba251ae4a73aadd2835dc2d8e5eb6f</anchor>
      <arglist>(const KDateTime &amp;date, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>durationString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a7b74292836beaff28a7ed5eb97141640</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;incidence)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>extensiveDisplayStr</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a80724f3793f28f9dbfd22bc9c3bafd21</anchor>
      <arglist>(const KCalCore::Calendar::Ptr &amp;calendar, const KCalCore::IncidenceBase::Ptr &amp;incidence, const QDate &amp;date=QDate(), KDateTime::Spec spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>extensiveDisplayStr</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a098641cc4adb2bbba19859d205c2ca71</anchor>
      <arglist>(const QString &amp;sourceName, const KCalCore::IncidenceBase::Ptr &amp;incidence, const QDate &amp;date=QDate(), KDateTime::Spec spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>formatICalInvitation</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a8155c278f67f892ed8913edccc11e7dd</anchor>
      <arglist>(QString invitation, const KCalCore::MemoryCalendar::Ptr &amp;calendar, InvitationFormatterHelper *helper, bool outlookCompareStyle)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>formatICalInvitationNoHtml</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a60fd881be539893eff24a4c555715c96</anchor>
      <arglist>(const QString &amp;invitation, const KCalCore::MemoryCalendar::Ptr &amp;calendar, InvitationFormatterHelper *helper, const QString &amp;sender, bool outlookCompareStyle)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>incidenceStatusName</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a3f360c4d2f15239a05e7fd73bfee95e8</anchor>
      <arglist>(KCalCore::Incidence::Status status)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>incidenceStatusStr</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>abdf2b48ef5c9d1a9fc261b19db4796c9</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;incidence)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>mailBodyStr</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>af37c8c33f4833c34367b94488e6287f1</anchor>
      <arglist>(const KCalCore::IncidenceBase::Ptr &amp;incidence, KDateTime::Spec spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>recurrenceString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>ab3ab574aa8028995cfcf0033eb2805ff</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;incidence)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QStringList</type>
      <name>reminderStringList</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a10ee8a48646ecf98f678eb1a88dd0fb5</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;incidence, bool shortfmt=true)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>resourceString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a5c65f8fcc8c618616b585985c4e017eb</anchor>
      <arglist>(const KCalCore::Calendar::Ptr &amp;calendar, const KCalCore::Incidence::Ptr &amp;incidence)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>timeToString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a78ea97b840fc276f661043a9dde85368</anchor>
      <arglist>(const KDateTime &amp;date, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>toolTipStr</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>acb31e79f8db1cd9c713e0e2b22a526ba</anchor>
      <arglist>(const QString &amp;sourceName, const KCalCore::IncidenceBase::Ptr &amp;incidence, const QDate &amp;date=QDate(), bool richText=true, KDateTime::Spec spec=KDateTime::Spec())</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>stringify.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kcalutils/</path>
    <filename>stringify_8cpp</filename>
    <includes id="stringify_8h" name="stringify.h" local="yes" imported="no">stringify.h</includes>
  </compound>
  <compound kind="file">
    <name>stringify.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kcalutils/</path>
    <filename>stringify_8h</filename>
    <namespace>KCalUtils</namespace>
    <namespace>KCalUtils::Stringify</namespace>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>errorMessage</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>a7f61d3bbc66c774b624198f7f4ade4a0</anchor>
      <arglist>(const KCalCore::Exception &amp;exception)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>formatDate</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>a814524b5b78e3b7cd55762deaf2109df</anchor>
      <arglist>(const KDateTime &amp;dt, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>formatDateTime</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>a2a5df77a1bdefea49743e5628918818e</anchor>
      <arglist>(const KDateTime &amp;dt, bool dateOnly=false, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>formatTime</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>aaa9b2ca6d18a0edd6cec1d0949752a4b</anchor>
      <arglist>(const KDateTime &amp;dt, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>incidenceSecrecy</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>a0fe2aa44ebffae4e8d332d364988c88b</anchor>
      <arglist>(KCalCore::Incidence::Secrecy secrecy)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QStringList</type>
      <name>incidenceSecrecyList</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>ae1e69c409104f4c1510cb96bd5ea1f75</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>todoCompletedDateTime</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>a961966da1c5b447161ef3c96052c6793</anchor>
      <arglist>(const KCalCore::Todo::Ptr &amp;todo, bool shortfmt=false)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KCalUtils</name>
    <filename>namespaceKCalUtils.html</filename>
    <namespace>KCalUtils::ICalDrag</namespace>
    <namespace>KCalUtils::IncidenceFormatter</namespace>
    <namespace>KCalUtils::RecurrenceActions</namespace>
    <namespace>KCalUtils::Stringify</namespace>
    <namespace>KCalUtils::VCalDrag</namespace>
    <class kind="class">KCalUtils::DndFactory</class>
    <class kind="class">KCalUtils::HtmlExport</class>
    <class kind="class">KCalUtils::Scheduler</class>
  </compound>
  <compound kind="class">
    <name>KCalUtils::DndFactory</name>
    <filename>classKCalUtils_1_1DndFactory.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>PasteFlag</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>af36d9e448606931a575b891eb8d7bbc8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>FlagTodosPasteAtDtStart</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>af36d9e448606931a575b891eb8d7bbc8a870beea7d3e6bbd1062b2d1858af02b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>FlagPasteAtOriginalTime</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>af36d9e448606931a575b891eb8d7bbc8a71edf469d441486328ee4ceee52ea752</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DndFactory</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a60a2d600758aa6f627d40bb5484f0a63</anchor>
      <arglist>(const KCalCore::MemoryCalendar::Ptr &amp;cal)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>copyIncidence</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a524d25371eebf67cdf5faf24d66edda9</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>copyIncidences</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>ac0d933883cc4c1d3e2a2c20839ea9437</anchor>
      <arglist>(const KCalCore::Incidence::List &amp;incidences)</arglist>
    </member>
    <member kind="function">
      <type>QDrag *</type>
      <name>createDrag</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a5d0f76c67d3ed43b497ee79a18354700</anchor>
      <arglist>(QWidget *owner)</arglist>
    </member>
    <member kind="function">
      <type>QDrag *</type>
      <name>createDrag</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a2478e95d7ec0a449e2841c420777f480</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;incidence, QWidget *owner)</arglist>
    </member>
    <member kind="function">
      <type>KCalCore::MemoryCalendar::Ptr</type>
      <name>createDropCalendar</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a8977ae9e2ce7db65ea98379f5d4808c3</anchor>
      <arglist>(QDropEvent *de)</arglist>
    </member>
    <member kind="function">
      <type>KCalCore::MemoryCalendar::Ptr</type>
      <name>createDropCalendar</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>ae726264ec7d177aed4bc974284e3a382</anchor>
      <arglist>(const QMimeData *md)</arglist>
    </member>
    <member kind="function">
      <type>KCalCore::Event::Ptr</type>
      <name>createDropEvent</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a79a475e80ed4bf623466edaf315ff585</anchor>
      <arglist>(const QMimeData *md)</arglist>
    </member>
    <member kind="function">
      <type>KCalCore::Event::Ptr</type>
      <name>createDropEvent</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>ae8bef90003040818e6f74cd263e2d90a</anchor>
      <arglist>(QDropEvent *de)</arglist>
    </member>
    <member kind="function">
      <type>KCalCore::Todo::Ptr</type>
      <name>createDropTodo</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a8f04ae3423a999347adda6b077034394</anchor>
      <arglist>(const QMimeData *md)</arglist>
    </member>
    <member kind="function">
      <type>KCalCore::Todo::Ptr</type>
      <name>createDropTodo</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a2fac7a6c2c3d927dcb284b39f86dbe30</anchor>
      <arglist>(QDropEvent *de)</arglist>
    </member>
    <member kind="function">
      <type>QMimeData *</type>
      <name>createMimeData</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a6f16347e28a5c33a5f0feadba8ec93fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QMimeData *</type>
      <name>createMimeData</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a78c2815a11e668e0117e15285fed39c1</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;incidence)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cutIncidence</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>ae5ced2bca9571adc574d00cf2f9452cc</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>cutIncidences</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a4787d7ccb60b1b11e99fb37605229a3a</anchor>
      <arglist>(const KCalCore::Incidence::List &amp;incidences)</arglist>
    </member>
    <member kind="function">
      <type>KCalCore::Incidence::Ptr</type>
      <name>pasteIncidence</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>a1a1a45a00c0652efab509ca953a2b9c9</anchor>
      <arglist>(const KDateTime &amp;newDateTime=KDateTime(), const QFlags&lt; PasteFlag &gt; &amp;pasteOptions=QFlags&lt; PasteFlag &gt;())</arglist>
    </member>
    <member kind="function">
      <type>KCalCore::Incidence::List</type>
      <name>pasteIncidences</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>aa6498c30b42a3a9302a406acd3f86a97</anchor>
      <arglist>(const KDateTime &amp;newDateTime=KDateTime(), const QFlags&lt; PasteFlag &gt; &amp;pasteOptions=QFlags&lt; PasteFlag &gt;())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCalCore::MemoryCalendar::Ptr</type>
      <name>createDropCalendar</name>
      <anchorfile>classKCalUtils_1_1DndFactory.html</anchorfile>
      <anchor>af045d3efe1628d8336995221fbec306d</anchor>
      <arglist>(const QMimeData *md, const KDateTime::Spec &amp;timeSpec)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCalUtils::HtmlExport</name>
    <filename>classKCalUtils_1_1HtmlExport.html</filename>
    <member kind="function">
      <type></type>
      <name>HtmlExport</name>
      <anchorfile>classKCalUtils_1_1HtmlExport.html</anchorfile>
      <anchor>a26de7ab960234f1ea7abc87bab484dbf</anchor>
      <arglist>(KCalCore::MemoryCalendar *calendar, HTMLExportSettings *settings)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKCalUtils_1_1HtmlExport.html</anchorfile>
      <anchor>a05a5bfc14dd4de4c678b74cb0d123357</anchor>
      <arglist>(const QString &amp;fileName=QString())</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKCalUtils_1_1HtmlExport.html</anchorfile>
      <anchor>ab7a690341bfead1da573ae993ba0b266</anchor>
      <arglist>(QTextStream *ts)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCalUtils::Scheduler</name>
    <filename>classKCalUtils_1_1Scheduler.html</filename>
    <member kind="function">
      <type></type>
      <name>Scheduler</name>
      <anchorfile>classKCalUtils_1_1Scheduler.html</anchorfile>
      <anchor>a883c961cec9690d065d3fffbd2455973</anchor>
      <arglist>(const KCalCore::Calendar::Ptr &amp;calendar)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>acceptTransaction</name>
      <anchorfile>classKCalUtils_1_1Scheduler.html</anchorfile>
      <anchor>abbfc05be17c688d86d4809c19e5e6d27</anchor>
      <arglist>(const KCalCore::IncidenceBase::Ptr &amp;incidence, KCalCore::iTIPMethod method, KCalCore::ScheduleMessage::Status status, const QString &amp;email=QString())</arglist>
    </member>
    <member kind="function">
      <type>KCalCore::FreeBusyCache *</type>
      <name>freeBusyCache</name>
      <anchorfile>classKCalUtils_1_1Scheduler.html</anchorfile>
      <anchor>aebb2026f8f00c2f467276527c2dedeaf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>freeBusyDir</name>
      <anchorfile>classKCalUtils_1_1Scheduler.html</anchorfile>
      <anchor>a3a679439ebb67c9a1f170c69fc475b28</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>performTransaction</name>
      <anchorfile>classKCalUtils_1_1Scheduler.html</anchorfile>
      <anchor>a6ff6f7dd5bb78dbfe1128c9a8fc58819</anchor>
      <arglist>(const KCalCore::IncidenceBase::Ptr &amp;incidence, KCalCore::iTIPMethod method)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>performTransaction</name>
      <anchorfile>classKCalUtils_1_1Scheduler.html</anchorfile>
      <anchor>a35428559caa259bfa6cab39a7d693c2c</anchor>
      <arglist>(const KCalCore::IncidenceBase::Ptr &amp;incidence, KCalCore::iTIPMethod method, const QString &amp;recipients)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>publish</name>
      <anchorfile>classKCalUtils_1_1Scheduler.html</anchorfile>
      <anchor>ab62ca241f73df3f96939712f364b299b</anchor>
      <arglist>(const KCalCore::IncidenceBase::Ptr &amp;incidence, const QString &amp;recipients)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; KCalCore::ScheduleMessage * &gt;</type>
      <name>retrieveTransactions</name>
      <anchorfile>classKCalUtils_1_1Scheduler.html</anchorfile>
      <anchor>a3792cd8d0a4c9f820998c7d76de5f3a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFreeBusyCache</name>
      <anchorfile>classKCalUtils_1_1Scheduler.html</anchorfile>
      <anchor>a1aef45b2e829592cd14f117e17db3a14</anchor>
      <arglist>(KCalCore::FreeBusyCache *)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KCalUtils::ICalDrag</name>
    <filename>namespaceKCalUtils_1_1ICalDrag.html</filename>
    <member kind="function">
      <type>KCALUTILS_EXPORT bool</type>
      <name>canDecode</name>
      <anchorfile>namespaceKCalUtils_1_1ICalDrag.html</anchorfile>
      <anchor>ad7bea31f1f69f29def385c47e679aad3</anchor>
      <arglist>(const QMimeData *)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT bool</type>
      <name>fromMimeData</name>
      <anchorfile>namespaceKCalUtils_1_1ICalDrag.html</anchorfile>
      <anchor>aede907749d34dd259ba4e504dc56ed77</anchor>
      <arglist>(const QMimeData *e, const KCalCore::MemoryCalendar::Ptr &amp;cal)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>mimeType</name>
      <anchorfile>namespaceKCalUtils_1_1ICalDrag.html</anchorfile>
      <anchor>a15400f7aea4ebb4795fed29ebd56f746</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT bool</type>
      <name>populateMimeData</name>
      <anchorfile>namespaceKCalUtils_1_1ICalDrag.html</anchorfile>
      <anchor>a6115ef588a807054bb5493e74c626586</anchor>
      <arglist>(QMimeData *e, const KCalCore::MemoryCalendar::Ptr &amp;cal)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KCalUtils::IncidenceFormatter</name>
    <filename>namespaceKCalUtils_1_1IncidenceFormatter.html</filename>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>dateTimeToString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a6e09262c9c2a8b81d056ea447d6cb5be</anchor>
      <arglist>(const KDateTime &amp;date, bool dateOnly=false, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>dateToString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a81ba251ae4a73aadd2835dc2d8e5eb6f</anchor>
      <arglist>(const KDateTime &amp;date, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>durationString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a7b74292836beaff28a7ed5eb97141640</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;incidence)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>extensiveDisplayStr</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a80724f3793f28f9dbfd22bc9c3bafd21</anchor>
      <arglist>(const KCalCore::Calendar::Ptr &amp;calendar, const KCalCore::IncidenceBase::Ptr &amp;incidence, const QDate &amp;date=QDate(), KDateTime::Spec spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>extensiveDisplayStr</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a098641cc4adb2bbba19859d205c2ca71</anchor>
      <arglist>(const QString &amp;sourceName, const KCalCore::IncidenceBase::Ptr &amp;incidence, const QDate &amp;date=QDate(), KDateTime::Spec spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>formatICalInvitation</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a8155c278f67f892ed8913edccc11e7dd</anchor>
      <arglist>(QString invitation, const KCalCore::MemoryCalendar::Ptr &amp;calendar, InvitationFormatterHelper *helper, bool outlookCompareStyle)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>formatICalInvitationNoHtml</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a60fd881be539893eff24a4c555715c96</anchor>
      <arglist>(const QString &amp;invitation, const KCalCore::MemoryCalendar::Ptr &amp;calendar, InvitationFormatterHelper *helper, const QString &amp;sender, bool outlookCompareStyle)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>incidenceStatusName</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a3f360c4d2f15239a05e7fd73bfee95e8</anchor>
      <arglist>(KCalCore::Incidence::Status status)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>incidenceStatusStr</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>abdf2b48ef5c9d1a9fc261b19db4796c9</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;incidence)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>mailBodyStr</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>af37c8c33f4833c34367b94488e6287f1</anchor>
      <arglist>(const KCalCore::IncidenceBase::Ptr &amp;incidence, KDateTime::Spec spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>recurrenceString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>ab3ab574aa8028995cfcf0033eb2805ff</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;incidence)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QStringList</type>
      <name>reminderStringList</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a10ee8a48646ecf98f678eb1a88dd0fb5</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;incidence, bool shortfmt=true)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>resourceString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a5c65f8fcc8c618616b585985c4e017eb</anchor>
      <arglist>(const KCalCore::Calendar::Ptr &amp;calendar, const KCalCore::Incidence::Ptr &amp;incidence)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>timeToString</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>a78ea97b840fc276f661043a9dde85368</anchor>
      <arglist>(const KDateTime &amp;date, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>toolTipStr</name>
      <anchorfile>namespaceKCalUtils_1_1IncidenceFormatter.html</anchorfile>
      <anchor>acb31e79f8db1cd9c713e0e2b22a526ba</anchor>
      <arglist>(const QString &amp;sourceName, const KCalCore::IncidenceBase::Ptr &amp;incidence, const QDate &amp;date=QDate(), bool richText=true, KDateTime::Spec spec=KDateTime::Spec())</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KCalUtils::RecurrenceActions</name>
    <filename>namespaceKCalUtils_1_1RecurrenceActions.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Scope</name>
      <anchorfile>namespaceKCalUtils_1_1RecurrenceActions.html</anchorfile>
      <anchor>ac7d0619867c6267d66b6278cf9e1ef42</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NoOccurrence</name>
      <anchorfile>namespaceKCalUtils_1_1RecurrenceActions.html</anchorfile>
      <anchor>ac7d0619867c6267d66b6278cf9e1ef42ab4300bbd5061dcf70e817419fc8bd554</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>SelectedOccurrence</name>
      <anchorfile>namespaceKCalUtils_1_1RecurrenceActions.html</anchorfile>
      <anchor>ac7d0619867c6267d66b6278cf9e1ef42a242d6fa3054e22498f34c084c2a600eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>PastOccurrences</name>
      <anchorfile>namespaceKCalUtils_1_1RecurrenceActions.html</anchorfile>
      <anchor>ac7d0619867c6267d66b6278cf9e1ef42aa3d153c3225b4ed74e5d86756c2282b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>FutureOccurrences</name>
      <anchorfile>namespaceKCalUtils_1_1RecurrenceActions.html</anchorfile>
      <anchor>ac7d0619867c6267d66b6278cf9e1ef42a9a41d4619f3df910181c20610b1ad4f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>AllOccurrences</name>
      <anchorfile>namespaceKCalUtils_1_1RecurrenceActions.html</anchorfile>
      <anchor>ac7d0619867c6267d66b6278cf9e1ef42a34300599733e6377047b8f9201a813e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT int</type>
      <name>availableOccurrences</name>
      <anchorfile>namespaceKCalUtils_1_1RecurrenceActions.html</anchorfile>
      <anchor>a3d6bda5231e180a8b0992b95afa634e5</anchor>
      <arglist>(const KCalCore::Incidence::Ptr &amp;incidence, const KDateTime &amp;selectedOccurrence)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT int</type>
      <name>questionMultipleChoice</name>
      <anchorfile>namespaceKCalUtils_1_1RecurrenceActions.html</anchorfile>
      <anchor>ab4318c1d7b053e2e825e6e2f063b7590</anchor>
      <arglist>(const KDateTime &amp;selectedOccurrence, const QString &amp;message, const QString &amp;caption, const KGuiItem &amp;action, int availableChoices, int preselectedChoices, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT int</type>
      <name>questionSelectedAllCancel</name>
      <anchorfile>namespaceKCalUtils_1_1RecurrenceActions.html</anchorfile>
      <anchor>afe185ffde82b5f248eb9d0ecf1cb4073</anchor>
      <arglist>(const QString &amp;message, const QString &amp;caption, const KGuiItem &amp;actionSelected, const KGuiItem &amp;actionAll, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT int</type>
      <name>questionSelectedFutureAllCancel</name>
      <anchorfile>namespaceKCalUtils_1_1RecurrenceActions.html</anchorfile>
      <anchor>a8598adee83f18b4d0da63b9bcc4981c7</anchor>
      <arglist>(const QString &amp;message, const QString &amp;caption, const KGuiItem &amp;actionSelected, const KGuiItem &amp;actionFuture, const KGuiItem &amp;actionAll, QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KCalUtils::Stringify</name>
    <filename>namespaceKCalUtils_1_1Stringify.html</filename>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>errorMessage</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>a7f61d3bbc66c774b624198f7f4ade4a0</anchor>
      <arglist>(const KCalCore::Exception &amp;exception)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>formatDate</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>a814524b5b78e3b7cd55762deaf2109df</anchor>
      <arglist>(const KDateTime &amp;dt, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>formatDateTime</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>a2a5df77a1bdefea49743e5628918818e</anchor>
      <arglist>(const KDateTime &amp;dt, bool dateOnly=false, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>formatTime</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>aaa9b2ca6d18a0edd6cec1d0949752a4b</anchor>
      <arglist>(const KDateTime &amp;dt, bool shortfmt=true, const KDateTime::Spec &amp;spec=KDateTime::Spec())</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>incidenceSecrecy</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>a0fe2aa44ebffae4e8d332d364988c88b</anchor>
      <arglist>(KCalCore::Incidence::Secrecy secrecy)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QStringList</type>
      <name>incidenceSecrecyList</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>ae1e69c409104f4c1510cb96bd5ea1f75</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>todoCompletedDateTime</name>
      <anchorfile>namespaceKCalUtils_1_1Stringify.html</anchorfile>
      <anchor>a961966da1c5b447161ef3c96052c6793</anchor>
      <arglist>(const KCalCore::Todo::Ptr &amp;todo, bool shortfmt=false)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KCalUtils::VCalDrag</name>
    <filename>namespaceKCalUtils_1_1VCalDrag.html</filename>
    <member kind="function">
      <type>KCALUTILS_EXPORT bool</type>
      <name>canDecode</name>
      <anchorfile>namespaceKCalUtils_1_1VCalDrag.html</anchorfile>
      <anchor>ae44fe49ce4376e97a6d563d1ecfa90d0</anchor>
      <arglist>(const QMimeData *)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT bool</type>
      <name>fromMimeData</name>
      <anchorfile>namespaceKCalUtils_1_1VCalDrag.html</anchorfile>
      <anchor>aa806e5d547c907cb657313ef360b0593</anchor>
      <arglist>(const QMimeData *e, const KCalCore::MemoryCalendar::Ptr &amp;cal)</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT QString</type>
      <name>mimeType</name>
      <anchorfile>namespaceKCalUtils_1_1VCalDrag.html</anchorfile>
      <anchor>a4b2e2dae41dacb35938a670dfbb51c62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCALUTILS_EXPORT bool</type>
      <name>populateMimeData</name>
      <anchorfile>namespaceKCalUtils_1_1VCalDrag.html</anchorfile>
      <anchor>ac96e9c80e4da03adcfe031109c97267c</anchor>
      <arglist>(QMimeData *e, const KCalCore::MemoryCalendar::Ptr &amp;cal)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>kcalutils</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kcalutils/</path>
    <filename>dir_e2d7559a37beb46d79cb9d1ff55a8893.html</filename>
    <file>dndfactory.cpp</file>
    <file>dndfactory.h</file>
    <file>htmlexport.cpp</file>
    <file>htmlexport.h</file>
    <file>icaldrag.cpp</file>
    <file>icaldrag.h</file>
    <file>incidenceformatter.cpp</file>
    <file>incidenceformatter.h</file>
    <file>kcalutils_export.h</file>
    <file>recurrenceactions.cpp</file>
    <file>recurrenceactions.h</file>
    <file>scheduler.cpp</file>
    <file>scheduler.h</file>
    <file>stringify.cpp</file>
    <file>stringify.h</file>
    <file>vcaldrag.cpp</file>
    <file>vcaldrag.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>KCalUtils - the KDE calendar utility library.</title>
    <filename>index</filename>
    <docanchor file="index" title="Purpose">purpose</docanchor>
    <docanchor file="index" title="Description">desc</docanchor>
  </compound>
</tagfile>
