<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>location.hh</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kholidays/parsers/plan2/</path>
    <filename>location_8hh</filename>
    <includes id="position_8hh" name="position.hh" local="yes" imported="no">position.hh</includes>
    <class kind="class">KHolidays::location</class>
  </compound>
  <compound kind="file">
    <name>position.hh</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kholidays/parsers/plan2/</path>
    <filename>position_8hh</filename>
    <class kind="class">KHolidays::position</class>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayParserDriver</name>
    <filename>classKHolidays_1_1HolidayParserDriver.html</filename>
    <member kind="function">
      <type></type>
      <name>HolidayParserDriver</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a92ea754434396faffda1cddbd7073395</anchor>
      <arglist>(const QString &amp;filePath)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~HolidayParserDriver</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a254f1949111fa797a1c68a5c1b682df8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>error</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a092c23aafe8d91c853af845881c681b1</anchor>
      <arglist>(const QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileCountryCode</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>aaab8e0e2240a7c67173901c1864fde8e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileDescription</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>aeab3dd042ee7aef594e0e4816c088963</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileLanguageCode</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a4f5ed4137fad9b6a82f5f818c7a2ea85</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileName</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a4514d53e9a72e1c3f3246afabbb0243a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Holiday::List</type>
      <name>parseHolidays</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a83c8b05e7209bb2f0a2e3f6108a90f48</anchor>
      <arglist>(const QDate &amp;startDate, const QDate &amp;endDate, Holiday::MultidayMode multidayMode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Holiday::List</type>
      <name>parseHolidays</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a3166d5e061cfc897360e7fe6b31f8068</anchor>
      <arglist>(const QDate &amp;date, Holiday::MultidayMode multidayMode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Holiday::List</type>
      <name>parseHolidays</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>afa2feccd2001cbcb1e73ae3669c2a91f</anchor>
      <arglist>(int calendarYear, const QString &amp;calendarType, Holiday::MultidayMode multidayMode)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>parse</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a6b558f1f9ec8b4511861beca250d412b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>parseMetadata</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>af7f762e4fb1b5ee93092e6c364142c21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setParseCalendar</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a520b79ab034da2392996365020ef92c5</anchor>
      <arglist>(const QString &amp;calendarType)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setParseStartEnd</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a0292751f1f3c54650bcbd9764eeab772</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayParserDriverPlan</name>
    <filename>classKHolidays_1_1HolidayParserDriverPlan.html</filename>
    <base>KHolidays::HolidayParserDriver</base>
    <member kind="function">
      <type></type>
      <name>HolidayParserDriverPlan</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a1ce39a59d3dc7dd9a7d9fc31bd3ab342</anchor>
      <arglist>(const QString &amp;planFilename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~HolidayParserDriverPlan</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>af026a21e418beea38ba52680297ab225</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>ae352aa5b3a4f03c10c1d102160bb8270</anchor>
      <arglist>(const KHolidays::location &amp;errorLocation, const QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a9dfee9809372fc8240dcb062c572f9ff</anchor>
      <arglist>(const QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parse</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a5aafe49754c11ebc1312a85b667b8a97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseMetadata</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a54598632e7db895e38ba866a5d75a501</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayParserDriverPlanOld</name>
    <filename>classKHolidays_1_1HolidayParserDriverPlanOld.html</filename>
    <base>KHolidays::HolidayParserDriver</base>
    <member kind="function">
      <type></type>
      <name>HolidayParserDriverPlanOld</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlanOld.html</anchorfile>
      <anchor>abb4ca2e1260810dd021202f9661d521d</anchor>
      <arglist>(const QString &amp;planFilename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~HolidayParserDriverPlanOld</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlanOld.html</anchorfile>
      <anchor>a933f526a705043d8fc36f33a8b254a3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlanOld.html</anchorfile>
      <anchor>a52214fb2e2f4b6070b336ca190b500f0</anchor>
      <arglist>(const QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parse</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlanOld.html</anchorfile>
      <anchor>a17b0c579ec42d079fb14a46a3b46165b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseMetadata</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlanOld.html</anchorfile>
      <anchor>ab34594a78a71bf01bbba6fd47e7d1076</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayParserPlan</name>
    <filename>classKHolidays_1_1HolidayParserPlan.html</filename>
    <class kind="union">KHolidays::HolidayParserPlan::semantic_type</class>
    <class kind="struct">KHolidays::HolidayParserPlan::token</class>
    <member kind="typedef">
      <type>int</type>
      <name>debug_level_type</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>ae6efc9291b1d7b5c06e4b6261701f52f</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>location</type>
      <name>location_type</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>ac24699aaf215999aa060fa80b266958e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>token::yytokentype</type>
      <name>token_type</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a4de1c94a6689dfa96167f4e48d67a1e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HolidayParserPlan</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>aa95d995f6eac0b6ad4cc25a5f893d019</anchor>
      <arglist>(class HolidayParserDriverPlan &amp;driver_yyarg)</arglist>
    </member>
    <member kind="function">
      <type>debug_level_type</type>
      <name>debug_level</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>ae5b640d42b99188f74253235fc91e408</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>debug_stream</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a6212816fb08c6fa2d97e3c5b6ee0e282</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>parse</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a96a67980b60ce336873f960f3a8b2faf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_debug_level</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a59dc3354fc26114ba730ec932e52f554</anchor>
      <arglist>(debug_level_type l)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_debug_stream</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a7b225738e05b8ebcfbab6bd9b91dc509</anchor>
      <arglist>(std::ostream &amp;)</arglist>
    </member>
  </compound>
  <compound kind="union">
    <name>KHolidays::HolidayParserPlan::semantic_type</name>
    <filename>unionKHolidays_1_1HolidayParserPlan_1_1semantic__type.html</filename>
  </compound>
  <compound kind="struct">
    <name>KHolidays::HolidayParserPlan::token</name>
    <filename>structKHolidays_1_1HolidayParserPlan_1_1token.html</filename>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayScannerPlan</name>
    <filename>classKHolidays_1_1HolidayScannerPlan.html</filename>
  </compound>
  <compound kind="class">
    <name>KHolidays::location</name>
    <filename>classKHolidays_1_1location.html</filename>
    <member kind="function">
      <type></type>
      <name>location</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a32a7230c9a33e20f40a9ca6f80d3d8f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initialize</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a589dec5baaa9347f6779a9fe63c76c91</anchor>
      <arglist>(std::string *fn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>step</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a1f0d0064a4f10ed8b2208ba4a8c15619</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>columns</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a5871d7eec9b7f328094df7bc2f930ba8</anchor>
      <arglist>(unsigned int count=1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lines</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>aec0003ad9eca58dd0684ad510c8ebb0e</anchor>
      <arglist>(unsigned int count=1)</arglist>
    </member>
    <member kind="variable">
      <type>position</type>
      <name>begin</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a0c730dc96e562a46c5388b0b01c1cf6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>position</type>
      <name>end</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>aacc5de0a3d49dddc998f538872b38fc2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::LunarPhase</name>
    <filename>classKHolidays_1_1LunarPhase.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Phase</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NewMoon</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2af4907e0a05647e540d38a96d65a0bc83</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>FirstQuarter</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a182adc1d93234560bc4f2050e45b1d47</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>LastQuarter</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a8c8a08f9b072028e23878e5aa7d82bcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>FullMoon</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a0baad3429b9d3fdf7e55ce6ea571d082</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>None</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a32a0aa410419112797252ba675f49d6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Phase</type>
      <name>phaseAtDate</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a36dc746eb4106d3c10f695f4680d5cbe</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>phaseName</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>ae2649d6c1b7138dc1ff82d8feb27eeeb</anchor>
      <arglist>(Phase phase)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>phaseNameAtDate</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a323272a53c3ed31991eda9726125bc47</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::position</name>
    <filename>classKHolidays_1_1position.html</filename>
    <member kind="function">
      <type></type>
      <name>position</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a2556811a9d536ab07774554e7d7f1a62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initialize</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>adbdf4aec015edf64400a7511805166ca</anchor>
      <arglist>(std::string *fn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lines</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>aa47dbaa4d737fa34a6edc8a73fb91c03</anchor>
      <arglist>(int count=1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>columns</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>aab77c98030cffd4c1dca4462c5faba13</anchor>
      <arglist>(int count=1)</arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>column</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a28e50582f41959bfb7a8c3234d22765d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string *</type>
      <name>filename</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a95a66368c657e8cb07e417505953e6f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>line</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a70bd0f0c091e8c82df32d53b032806d0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::slice</name>
    <filename>classKHolidays_1_1slice.html</filename>
    <templarg>T</templarg>
    <templarg>S</templarg>
  </compound>
  <compound kind="namespace">
    <name>KHolidays::SunRiseSet</name>
    <filename>namespaceKHolidays_1_1SunRiseSet.html</filename>
    <member kind="function">
      <type>KHOLIDAYS_EXPORT QTime</type>
      <name>utcSunrise</name>
      <anchorfile>namespaceKHolidays_1_1SunRiseSet.html</anchorfile>
      <anchor>ab139ae505de3c3b05c77046f06989287</anchor>
      <arglist>(const QDate &amp;date, double latitude, double longitude)</arglist>
    </member>
    <member kind="function">
      <type>KHOLIDAYS_EXPORT QTime</type>
      <name>utcSunset</name>
      <anchorfile>namespaceKHolidays_1_1SunRiseSet.html</anchorfile>
      <anchor>a2e5a51eb6fb5138417b88b3188bd9e99</anchor>
      <arglist>(const QDate &amp;date, double latitude, double longitude)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>kholidays</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kholidays/</path>
    <filename>dir_7d1f8f4788b4980602abcfcd1bfe22cd.html</filename>
    <dir>parsers</dir>
    <file>astroseasons.cpp</file>
    <file>astroseasons.h</file>
    <file>holiday.cpp</file>
    <file>holiday.h</file>
    <file>holiday_p.h</file>
    <file>holidayregion.cpp</file>
    <file>holidayregion.h</file>
    <file>holidayregionselector.cpp</file>
    <file>holidayregionselector.h</file>
    <file>holidays.h</file>
    <file>kholidays_export.h</file>
    <file>lunarphase.cpp</file>
    <file>lunarphase.h</file>
    <file>sunriseset.cpp</file>
    <file>sunriseset.h</file>
    <file>zodiac.cpp</file>
    <file>zodiac.h</file>
  </compound>
  <compound kind="dir">
    <name>parsers</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kholidays/parsers/</path>
    <filename>dir_e5229cbffbc67e85dc8d9aeebaeedcfd.html</filename>
    <dir>plan1</dir>
    <dir>plan2</dir>
    <file>holidayparserdriver.cpp</file>
    <file>holidayparserdriver_p.h</file>
  </compound>
  <compound kind="dir">
    <name>plan1</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kholidays/parsers/plan1/</path>
    <filename>dir_bb208e13b15fd47adf70018e3d6f7aae.html</filename>
    <file>holidayparserdriverplanold.cpp</file>
    <file>holidayparserdriverplanold_p.h</file>
  </compound>
  <compound kind="dir">
    <name>plan2</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kholidays/parsers/plan2/</path>
    <filename>dir_d9f20f13e58394eee30c3ce06fdf80ff.html</filename>
    <file>FlexLexer.h</file>
    <file>holidayparserdriverplan.cpp</file>
    <file>holidayparserdriverplan_p.h</file>
    <file>holidayparserplan.cpp</file>
    <file>holidayparserplan.hpp</file>
    <file>holidayscannerplan.cpp</file>
    <file>holidayscannerplan_p.h</file>
    <file>location.hh</file>
    <file>position.hh</file>
    <file>stack.hh</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>KHolidays - the KDE library for regional holiday information.</title>
    <filename>index</filename>
    <docanchor file="index" title="Purpose">purpose</docanchor>
    <docanchor file="index" title="Description">desc</docanchor>
  </compound>
</tagfile>
