<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>IMAP4Protocol</name>
    <filename>classIMAP4Protocol.html</filename>
    <base>mimeIO</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>del</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a3a9106e89900eb9b36d927da208d547f</anchor>
      <arglist>(const KUrl &amp;_url, bool isFile)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>flushOutput</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>ad93cb8cf105b773e9e5d34e902248723</anchor>
      <arglist>(const QString &amp;contentEncoding=QString())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>ae352c57844857e2c1223e788fe4460dd</anchor>
      <arglist>(const KUrl &amp;_url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>listDir</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>ad75f03bd983fd7de2532b1570ecf81ec</anchor>
      <arglist>(const KUrl &amp;_url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mkdir</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a469b7f6384554bac82dfbace875cc6bf</anchor>
      <arglist>(const KUrl &amp;url, int permissions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>outputLine</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>aed356c1f8f7c0a1129c552e53c5905e2</anchor>
      <arglist>(const QByteArray &amp;_str, int len=-1)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>parseRead</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>afbae3d03fbd33c6bc88f132363e81082</anchor>
      <arglist>(QByteArray &amp;buffer, long len, long relay=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>parseReadLine</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a4d7149ae32dca1fef502d28baa7524ad</anchor>
      <arglist>(QByteArray &amp;buffer, long relay=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseRelay</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>aa3312a811d0f80054710507585f42e6a</anchor>
      <arglist>(const QByteArray &amp;buffer)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseRelay</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>adf8b0019e72de277ad1f3250dcca2f3d</anchor>
      <arglist>(ulong)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseWriteLine</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>aacf514405e1b50f3a24db0470235d007</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>special</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a146711a428170d2b4d4ccd00c031f540</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stat</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a5d89044285fb7663dcf2c0f86ce31a2f</anchor>
      <arglist>(const KUrl &amp;_url)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doListEntry</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a5b13951935a1cbbc8f69fe549a3e0cb5</anchor>
      <arglist>(const KUrl &amp;url, const QString &amp;myBox, const imapList &amp;item, bool appendPath=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>enum IMAP_TYPE</type>
      <name>parseURL</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a29b584d83b0dc99006ae8999e26541ab</anchor>
      <arglist>(const KUrl &amp;_url, QString &amp;_box, QString &amp;_section, QString &amp;_type, QString &amp;_uid, QString &amp;_validity, QString &amp;_hierarchyDelimiter, QString &amp;_info, bool cache=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialACLCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>ab69679750eac750c0c2753d1623f6e45</anchor>
      <arglist>(int command, QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialAnnotateMoreCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a5d97eac198aec68334f4f972a4521ce0</anchor>
      <arglist>(int command, QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialCustomCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>af4a9c882f8b93d5bbdf78720b6b71187</anchor>
      <arglist>(QDataStream &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialSearchCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a59ddb4792b3f962a3a59b33f7ad3ccc0</anchor>
      <arglist>(QDataStream &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>imapCommand</name>
    <filename>classimapCommand.html</filename>
    <member kind="function">
      <type></type>
      <name>imapCommand</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>aea22ea31bc67aebf4662ad61a355f51e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>imapCommand</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>abd077c372318ebf4796f54d17e47d2d9</anchor>
      <arglist>(const QString &amp;command, const QString &amp;parameter)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>command</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a0475f2554615137aab1d1663d1330f8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>getStr</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>afe0e097fb3acd1346c92b3a85cc20694</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>id</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a41076f41025bcdbebbab97b7afeb595d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isComplete</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a723c3d549eac72ce5f1957ce5b5b6c23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>parameter</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab76e7c2a8601cd904a9fb08aa28fd931</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>result</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a6d5ecfa4d0bede4986804f3885720a82</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>resultInfo</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a235c592225a6ac434de601645f940a6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCommand</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a48cb5706927626ff16dcaca9a5899103</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setComplete</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a4ec1a18fe96a9a9bb90c1d3efff376e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a01a7a7bee53e7b5c80f9caca1e62a0d4</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setParameter</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a09ce4d8a03661356a16c3412209d73b0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResult</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a9e8b0a3fd5f9d1c5e9095cb71e834b04</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResultInfo</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>aede3eb7f608f100ea420ac873e30b084</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientAppend</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a23faf4c1bfe00c63de6fca9dc63e0a93</anchor>
      <arglist>(const QString &amp;box, const QString &amp;flags, ulong size)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientClose</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab8ebfebf14090f6e27dbb2a304b20d67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientCopy</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>adffa8cfe59b6ac218d4f679f2cef42e4</anchor>
      <arglist>(const QString &amp;box, const QString &amp;sequence, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientCreate</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab36c32ec6aa15cf29337db152c417480</anchor>
      <arglist>(const QString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientCustom</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a5a4a662b84290cba1dc5b5be2f313e95</anchor>
      <arglist>(const QString &amp;command, const QString &amp;arguments)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientDelete</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ae2b42ef033b8c38b3b4602bc8b79b1f3</anchor>
      <arglist>(const QString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientDeleteACL</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a90331bbd61869db6b3792eeb1566b9f1</anchor>
      <arglist>(const QString &amp;box, const QString &amp;user)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientExpunge</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>adb3bb238c06f59eb7e47c83d6105f6a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientFetch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a6264fd52a1b750e7df4dca24b223c047</anchor>
      <arglist>(ulong uid, const QString &amp;fields, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientFetch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a35cbf3d3e3cda595c318dd79cda2f2f5</anchor>
      <arglist>(ulong fromUid, ulong toUid, const QString &amp;fields, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientFetch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a3ae2e5b6cee8b8fa3da06ec2059c901c</anchor>
      <arglist>(const QString &amp;sequence, const QString &amp;fields, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientGetACL</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ac0c5fef9320b99a1832f765156839ef1</anchor>
      <arglist>(const QString &amp;box)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientGetAnnotation</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a040d4c5addd83d4e8865824872f56ba8</anchor>
      <arglist>(const QString &amp;box, const QString &amp;entry, const QStringList &amp;attributeNames)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientGetQuotaroot</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a917fdbdf726236bf7f6d3231d656f9b8</anchor>
      <arglist>(const QString &amp;box)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientList</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a56dd1504d64f1e6296441ce725d5a6e5</anchor>
      <arglist>(const QString &amp;reference, const QString &amp;path, bool lsub=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientListRights</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a754a1e07e7b4f990f0cc8f73ca540e43</anchor>
      <arglist>(const QString &amp;box, const QString &amp;user)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientLogout</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a0cffccb964aaefc3d94a60646446a0c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientMyRights</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a2421354a5bd843c0eee9f700b7bedf57</anchor>
      <arglist>(const QString &amp;box)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientNamespace</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a75b5d5d2779177394141490ca7177783</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientNoop</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a18eac0a9fe90bd530e4360003063e00d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientRename</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ad113fc445793869d9122ed231a0ac8bb</anchor>
      <arglist>(const QString &amp;src, const QString &amp;dest)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientSearch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a0d322f336567ec7770b3b27d7f7a6e3d</anchor>
      <arglist>(const QString &amp;search, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientSelect</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a102be5d854bbbdcafab5c09ec0b24bad</anchor>
      <arglist>(const QString &amp;path, bool examine=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientSetACL</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ae6ebb94cdbf467da79a8a500b22ae840</anchor>
      <arglist>(const QString &amp;box, const QString &amp;user, const QString &amp;acl)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientSetAnnotation</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a3b3dc6324d2fa0079e7499e220a6ffb5</anchor>
      <arglist>(const QString &amp;box, const QString &amp;entry, const QMap&lt; QString, QString &gt; &amp;attributes)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientStartTLS</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a76d1408e7d71a5c8843275fe1c93350f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientStatus</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab30b7de4f6e16d7b288702a7e49943b8</anchor>
      <arglist>(const QString &amp;path, const QString &amp;parameters)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientStore</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a4d6d0bc10700923df7f086f04998f6f9</anchor>
      <arglist>(const QString &amp;set, const QString &amp;item, const QString &amp;data, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientSubscribe</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a4dc21b0bf821cad44ac5e08d9ac8e4bb</anchor>
      <arglist>(const QString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CommandPtr</type>
      <name>clientUnsubscribe</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a9354746d89bacd2c2658b1b8a3835034</anchor>
      <arglist>(const QString &amp;path)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mailHeader</name>
    <filename>classmailHeader.html</filename>
    <base>mimeHeader</base>
    <member kind="function">
      <type>const QByteArray &amp;</type>
      <name>date</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a92fe300c99fbfc08fc9dabd78dc79fcd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>getSubject</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>ab77531dbbf61c134e4555976e45f083c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QByteArray &amp;</type>
      <name>getSubjectEncoded</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>ab77d276682f18b5648929b47d8cbe832</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a951d5f6454eaff1432a1dbcd2bb132ab</anchor>
      <arglist>(const QByteArray &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSubject</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a20c8d5f13ad5cc76cfaed784f4701c59</anchor>
      <arglist>(const QString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSubjectEncoded</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>abdddb7f84ef2e26cacb7e38c444dd358</anchor>
      <arglist>(const QByteArray &amp;_str)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mimeHdrLine</name>
    <filename>classmimeHdrLine.html</filename>
    <member kind="function">
      <type>const QByteArray &amp;</type>
      <name>getLabel</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>afa8807fbd6f0da09175f84c86506c390</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QByteArray &amp;</type>
      <name>getValue</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>ac2f348bc414d63ad1aca9bd1923791e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setStr</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>aa6cb8b853c33b2643f03e1ed5ca9991d</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseAlphaNum</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>ad3bbe44919b226fa43b9c72804ddd40b</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseHalfWord</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a2378a7da73b8970bdedbd65f5ab3f087</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseQuoted</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>ae8bd389532c2742561e5be3faeb9536e</anchor>
      <arglist>(char, char, const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseSeparator</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a4e070b3bd41a063ba76f3d8b05129e80</anchor>
      <arglist>(char, const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseWord</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a311baed3a122e1a9950075fdead279e4</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>skipWS</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a7a962b9da069178f2791afde03ec0038</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>parseFullLine</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>adde72a637fbc4ece53d9d045a8f0385e</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>parseHalfLine</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>aa9d5767be33eff67867ddee8f6e1157b</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>mimeLabel</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>ac078b2dfa1cc4959a1936502ecb44bc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>mimeValue</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>aa80ee6e0e35df1ead9ded22f7af1afda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mimeHeader</name>
    <filename>classmimeHeader.html</filename>
  </compound>
  <compound kind="class">
    <name>mimeIO</name>
    <filename>classmimeIO.html</filename>
  </compound>
  <compound kind="class">
    <name>parseString</name>
    <filename>classparseString.html</filename>
  </compound>
  <compound kind="dir">
    <name>imap4</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kioslave/imap4/</path>
    <filename>dir_b23c3fb087257c656dfdda7959838a28.html</filename>
    <file>imap4.cpp</file>
    <file>imap4.h</file>
    <file>imapcommand.cpp</file>
    <file>imapcommand.h</file>
    <file>imapinfo.cpp</file>
    <file>imapinfo.h</file>
    <file>imaplist.cpp</file>
    <file>imaplist.h</file>
    <file>imapparser.cpp</file>
    <file>imapparser.h</file>
    <file>mailaddress.cpp</file>
    <file>mailaddress.h</file>
    <file>mailheader.cpp</file>
    <file>mailheader.h</file>
    <file>mimehdrline.cpp</file>
    <file>mimehdrline.h</file>
    <file>mimeheader.cpp</file>
    <file>mimeheader.h</file>
    <file>mimeio.cpp</file>
    <file>mimeio.h</file>
    <file>selectinfo.h</file>
  </compound>
  <compound kind="dir">
    <name>kioslave</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kioslave/</path>
    <filename>dir_63c0b8a97962c98845ea2eacf00b4f7d.html</filename>
    <dir>imap4</dir>
  </compound>
</tagfile>
