<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KontactInterface::Core</name>
    <filename>classKontactInterface_1_1Core.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dayChanged</name>
      <anchorfile>classKontactInterface_1_1Core.html</anchorfile>
      <anchor>a5375799cfd74392bd28df2265ff1e7d8</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Core</name>
      <anchorfile>classKontactInterface_1_1Core.html</anchorfile>
      <anchor>a776f8c46504b14183883c6273f93eaed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKontactInterface_1_1Core.html</anchorfile>
      <anchor>a99447c69af1b931db495cd993cf3cacd</anchor>
      <arglist>(const char *library)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>partLoaded</name>
      <anchorfile>classKontactInterface_1_1Core.html</anchorfile>
      <anchor>a2bf3a9ae9facb61c915ee30497aea16b</anchor>
      <arglist>(Plugin *plugin, KParts::ReadOnlyPart *part)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; KontactInterface::Plugin * &gt;</type>
      <name>pluginList</name>
      <anchorfile>classKontactInterface_1_1Core.html</anchorfile>
      <anchor>ac25276fec67b1f4f033a9f89fb0ea61c</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontactInterface_1_1Core.html</anchorfile>
      <anchor>a0ac85f1d9a219aff577edf9ba85d6583</anchor>
      <arglist>(KontactInterface::Plugin *plugin)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontactInterface_1_1Core.html</anchorfile>
      <anchor>ad5152784fd71ae41cc26a958ee16b2ee</anchor>
      <arglist>(const QString &amp;plugin)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Core</name>
      <anchorfile>classKontactInterface_1_1Core.html</anchorfile>
      <anchor>a78a308f68e4edea9c1025d16e7ccd21f</anchor>
      <arglist>(QWidget *parent=0, Qt::WindowFlags flags=KDE_DEFAULT_WINDOWFLAGS)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>lastErrorMessage</name>
      <anchorfile>classKontactInterface_1_1Core.html</anchorfile>
      <anchor>a5f024b92bb969fa93c10ada3ff2c6237</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KontactInterface::PimUniqueApplication</name>
    <filename>classKontactInterface_1_1PimUniqueApplication.html</filename>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>start</name>
      <anchorfile>classKontactInterface_1_1PimUniqueApplication.html</anchorfile>
      <anchor>a6130e061176269f1aac26dd274e14a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>start</name>
      <anchorfile>classKontactInterface_1_1PimUniqueApplication.html</anchorfile>
      <anchor>acf1888f2044c1b188cce04c498c282d1</anchor>
      <arglist>(KUniqueApplication::StartFlags flags)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KontactInterface::Plugin</name>
    <filename>classKontactInterface_1_1Plugin.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotConfigUpdated</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a3147f4f5a38baeebd7c258d052127693</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>ac3da34a3ceaf73bae92534871d41a1bb</anchor>
      <arglist>(Core *core, QObject *parent, const char *appName, const char *pluginName=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Plugin</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>aee4cc1864a2afa84a9ad935153f3fe39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a9e6fd08f6213b8b565fecaa532a4f7dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>aboutToSelect</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>aaba4d2364e865025cb5bab93874682bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bringToForeground</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a50cf81b553bf5b1a13c4d09437f16ef4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canDecodeMimeData</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a84be8b21c2c567ef43dde1e1e4d32bb4</anchor>
      <arglist>(const QMimeData *data) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>configUpdated</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>acad83371e8a9a6e9ad52ada75ae4efa6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Core *</type>
      <name>core</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>aa672c16fdc0b7724365969c949508ccb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDBUSInterface</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>aecd6d81505af55cd6af5a1808239c43f</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a6f76aae6c91131b475ee29dd05d0e6b8</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>aa3b4de528629aea0c4f8e2c3dba1c00f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>executableName</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>abf25353652645f01419f95782ef8d4da</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a629ffa812c981fd02c8936c8fd04ddc8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a8035513498229a238d7de32ded6bfee1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertNewAction</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a2659fa917e927db3a6c09ba0b9448dbc</anchor>
      <arglist>(KAction *action)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertSyncAction</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>ada0d2cea25a4fb34002f992b6e6c239a</anchor>
      <arglist>(KAction *action)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a076d857410108267514111f4913edf0a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a2933cf6ab06b645e52b5e27c1e6aaa4a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; KAction * &gt;</type>
      <name>newActions</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a723d829594e5b340653e8e3fa58c1430</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a0b9279ab6238e273de7e06ba91f8cb84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processDropEvent</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a2da8b45f09095d0999cf3746f7abc871</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a394495bb03f068b46c5e71fd0a8ae0ba</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a471a4aa9c55c4a120b9cdd89d283df3d</anchor>
      <arglist>(const KConfigGroup &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>registerClient</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a2a0a5e4242ce73edee0370e66895644b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a91d54bf20944a3eb2fae13196c08b0ed</anchor>
      <arglist>(KConfigGroup &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>select</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a9b1e9cc591c23c8c8bbb07a76ce5d43e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>af4a8ef6e2e93526275518a12fa290833</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExecutableName</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a40c2f5b9529db32a7b0eae229d9d5bd0</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a18ce7836474eb8088aad1bfa1462d86b</anchor>
      <arglist>(const QString &amp;icon)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a0a1804dfb71bdcf92dcc69765c1872aa</anchor>
      <arglist>(const QString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartLibraryName</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>ac54fed8a1486b1f8a92b5e6b218c3ccb</anchor>
      <arglist>(const QByteArray &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowInSideBar</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a1d4412c8f455e8d03d49a5321aebc6ed</anchor>
      <arglist>(bool hasPart)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>af9062497cf77b3984936d794c95d2ee5</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>showInSideBar</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>aec03fe1b0dc7913639c5b0b11ddef159</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; KAction * &gt;</type>
      <name>syncActions</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a26ed94ad66dc227aeb82add162f220cb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>tipFile</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a2a82bc225e9027fd6c90497ab1bc7441</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>abe2af021ae05cc8fd27ea30edfec3fdf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>weight</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a6593d5ad133b82f193391b135bd4bb60</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>ad72a4a1c1f1ef235bbf209b2bb05ce5a</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>loadPart</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a82221a604d622266435499abbc65f4d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKontactInterface_1_1Plugin.html</anchorfile>
      <anchor>a5762664367c1dd67fd84863a25eb072c</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KontactInterface::Summary</name>
    <filename>classKontactInterface_1_1Summary.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>configChanged</name>
      <anchorfile>classKontactInterface_1_1Summary.html</anchorfile>
      <anchor>aee382dbfc16e2c2884d051f411aed29d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateSummary</name>
      <anchorfile>classKontactInterface_1_1Summary.html</anchorfile>
      <anchor>aaa8842d77a3d65d34b8c0e45bea2adde</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>message</name>
      <anchorfile>classKontactInterface_1_1Summary.html</anchorfile>
      <anchor>a10f000515a6e3cba73be2c6760bd1baf</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>summaryWidgetDropped</name>
      <anchorfile>classKontactInterface_1_1Summary.html</anchorfile>
      <anchor>a0647f70c36f130a3e5e2383e06743ecc</anchor>
      <arglist>(QWidget *target, QWidget *widget, int alignment)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Summary</name>
      <anchorfile>classKontactInterface_1_1Summary.html</anchorfile>
      <anchor>a8a4347c78f96ca48451b0b1aac723f6c</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Summary</name>
      <anchorfile>classKontactInterface_1_1Summary.html</anchorfile>
      <anchor>aebf355fd41ffd362cd26b51fdc661a91</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>configModules</name>
      <anchorfile>classKontactInterface_1_1Summary.html</anchorfile>
      <anchor>a23fb001ef4387fa723c8b790e51f9fa7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>createHeader</name>
      <anchorfile>classKontactInterface_1_1Summary.html</anchorfile>
      <anchor>a71ba2a04695d1a78f9174c5f56d99663</anchor>
      <arglist>(QWidget *parent, const QString &amp;icon, const QString &amp;heading)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>summaryHeight</name>
      <anchorfile>classKontactInterface_1_1Summary.html</anchorfile>
      <anchor>a89bafd90f4ba4ada68eb284df1da9e00</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KontactInterface::UniqueAppHandler</name>
    <filename>classKontactInterface_1_1UniqueAppHandler.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKontactInterface_1_1UniqueAppHandler.html</anchorfile>
      <anchor>a5875a217e1f0dafbef2c5c2fbad8e3c9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>mainWidget</name>
      <anchorfile>classKontactInterface_1_1UniqueAppHandler.html</anchorfile>
      <anchor>a74f3f7424ca3fa0ecf30ddceabf539a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setMainWidget</name>
      <anchorfile>classKontactInterface_1_1UniqueAppHandler.html</anchorfile>
      <anchor>a6d5d90fb8840627756351e07d895e820</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KontactInterface::UniqueAppHandlerFactory</name>
    <filename>classKontactInterface_1_1UniqueAppHandlerFactory.html</filename>
    <templarg></templarg>
    <base>KontactInterface::UniqueAppHandlerFactoryBase</base>
  </compound>
  <compound kind="class">
    <name>KontactInterface::UniqueAppHandlerFactoryBase</name>
    <filename>classKontactInterface_1_1UniqueAppHandlerFactoryBase.html</filename>
  </compound>
  <compound kind="class">
    <name>KontactInterface::UniqueAppWatcher</name>
    <filename>classKontactInterface_1_1UniqueAppWatcher.html</filename>
    <member kind="function">
      <type></type>
      <name>UniqueAppWatcher</name>
      <anchorfile>classKontactInterface_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>a6dc3acc56ffa85710166ab2aff21a4a4</anchor>
      <arglist>(UniqueAppHandlerFactoryBase *factory, Plugin *plugin)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>kontactinterface</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kontactinterface/</path>
    <filename>dir_6406e5da9a233fdd96775e770c379dc7.html</filename>
    <file>core.cpp</file>
    <file>core.h</file>
    <file>kontactinterface_export.h</file>
    <file>pimuniqueapplication.cpp</file>
    <file>pimuniqueapplication.h</file>
    <file>plugin.cpp</file>
    <file>plugin.h</file>
    <file>summary.cpp</file>
    <file>summary.h</file>
    <file>uniqueapphandler.cpp</file>
    <file>uniqueapphandler.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Kontact Plugin Interface Library</title>
    <filename>index</filename>
    <docanchor file="index" title="Purpose">purpose</docanchor>
  </compound>
</tagfile>
