<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="namespace">
    <name>KPIMTextEdit</name>
    <filename>namespaceKPIMTextEdit.html</filename>
    <namespace>KPIMTextEdit::TextUtils</namespace>
    <class kind="class">KPIMTextEdit::EMailQuoteHighlighter</class>
    <class kind="struct">KPIMTextEdit::EmbeddedImage</class>
    <class kind="struct">KPIMTextEdit::ImageWithName</class>
    <class kind="class">KPIMTextEdit::TextEdit</class>
  </compound>
  <compound kind="class">
    <name>KPIMTextEdit::EMailQuoteHighlighter</name>
    <filename>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</filename>
    <member kind="function">
      <type></type>
      <name>EMailQuoteHighlighter</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>a3dd9519af9012829dc1faf143652ab24</anchor>
      <arglist>(TextEdit *textEdit, const QColor &amp;normalColor=Qt::black, const QColor &amp;quoteDepth1=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth2=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth3=QColor(0x00, 0x80, 0x00), const QColor &amp;misspelledColor=Qt::red)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>highlightBlock</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>af89771f23380b96195c0afd7a4436ef8</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setQuoteColor</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>ad9fa7eacc4821f48271deafc565cf08d</anchor>
      <arglist>(const QColor &amp;normalColor, const QColor &amp;quoteDepth1, const QColor &amp;quoteDepth2, const QColor &amp;quoteDepth3, const QColor &amp;misspelledColor=Qt::red)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toggleSpellHighlighting</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>a9d71808a5d0cd9fe51f2f5212f498fa6</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>highlightParagraph</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>ac40c67dbde0ce86ef777cea4211662ce</anchor>
      <arglist>(const QString &amp;text, const QColor &amp;quoteDepth1=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth2=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth3=QColor(0x00, 0x80, 0x00))</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>highlightText</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>a9b181da27286223ac9ffea6e17e620a4</anchor>
      <arglist>(const QString &amp;text, const QColor &amp;quoteDepth1=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth2=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth3=QColor(0x00, 0x80, 0x00))</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setMisspelled</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>a620981696bacd252710deb8ad1615933</anchor>
      <arglist>(int start, int count)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>unsetMisspelled</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>ab2cbdcea91a2c0a759d3823842b1f2ac</anchor>
      <arglist>(int start, int count)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KPIMTextEdit::EmbeddedImage</name>
    <filename>structKPIMTextEdit_1_1EmbeddedImage.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>contentID</name>
      <anchorfile>structKPIMTextEdit_1_1EmbeddedImage.html</anchorfile>
      <anchor>a1b2b437809a256b677cfdbcb2811fb39</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>image</name>
      <anchorfile>structKPIMTextEdit_1_1EmbeddedImage.html</anchorfile>
      <anchor>a217ff45a9b09d4c1587cb21fe3ffe285</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>imageName</name>
      <anchorfile>structKPIMTextEdit_1_1EmbeddedImage.html</anchorfile>
      <anchor>a2a708cf1b51add758c0c3d1f3dd15cfc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KPIMTextEdit::ImageWithName</name>
    <filename>structKPIMTextEdit_1_1ImageWithName.html</filename>
    <member kind="variable">
      <type>QImage</type>
      <name>image</name>
      <anchorfile>structKPIMTextEdit_1_1ImageWithName.html</anchorfile>
      <anchor>a48295613085f5187389614c5fb1b017b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>structKPIMTextEdit_1_1ImageWithName.html</anchorfile>
      <anchor>a48898f4096462aeb0b35811eaa751d93</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIMTextEdit::TextEdit</name>
    <filename>classKPIMTextEdit_1_1TextEdit.html</filename>
    <member kind="function">
      <type></type>
      <name>TextEdit</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a59945c6f9cad8c2e8ffd263944772ab6</anchor>
      <arglist>(const QString &amp;text, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TextEdit</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a32f19da5c4b8a0fd0d4404f21a1ea2db</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TextEdit</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>aeea400c64c6c3e6404d6360ab1d7fae5</anchor>
      <arglist>(QWidget *parent, const QString &amp;configFile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TextEdit</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a6308d1aeab3b648ead096a6a8779882a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addImage</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a70725f96d9de1b9799a7f71c5bbb74b2</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addImage</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a7a42202adff6bcbab1ce99f1dc06105c</anchor>
      <arglist>(const KUrl &amp;url, int width, int height)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>configFile</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a05d3a1188295df472a382fd56ae9bd02</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>createActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a0c9218d4822869d01693eac270032e05</anchor>
      <arglist>(KActionCollection *actionCollection)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString</type>
      <name>defaultQuoteSign</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>affd6722b491ce20c9ba253156531e9bc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteCurrentLine</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>ab0c7b5d318a7e713b6ae39bca2a80869</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ImageList</type>
      <name>embeddedImages</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>aafaf7f85172f0d4c5533a7f4ff0be986</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enableEmoticonActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a46a994341a2c5e002cad26f871a59263</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enableImageActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>ac90e175aedbc660419d60ff6fb3571f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ImageWithNameList</type>
      <name>imagesWithName</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a831b51d3e7145be0ee5815700824c3df</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertImage</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>aac095886a91e6cc526f58bc3ac66e825</anchor>
      <arglist>(const QImage &amp;image, const QFileInfo &amp;info)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnableEmoticonActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>abdcd4c6147b727224dfde1cb9d5d3563</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnableImageActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a83cee651ad32bbbd0bbb1924f22e8a5c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnableInsertHtmlActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>aefbf275d211ac1f86a55bd1dbfbb64c9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnableInsertTableActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a89ddd43cc90dfc972887136c22b08034</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFormattingUsed</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>aaa7d49b6e7b67f4c275ac7b85cbefdd3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLineQuoted</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a376da9e8204f5273a5e867edfaa7c2bb</anchor>
      <arglist>(const QString &amp;line) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadImage</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a583d975e58cfed7cc0627b896025ed17</anchor>
      <arglist>(const QImage &amp;image, const QString &amp;matchName, const QString &amp;resourceName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>quoteLength</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>ad0eaa0a62db6a5b3d931304c84b78a4e</anchor>
      <arglist>(const QString &amp;line) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setHighlighterColors</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>aec9574154722ea374323af3e6be0cb54</anchor>
      <arglist>(EMailQuoteHighlighter *highlighter)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toCleanPlainText</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>ae71b9bb3d3d3c5a6c251fa610f90c54a</anchor>
      <arglist>(const QString &amp;plainText) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toCleanPlainText</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>ac79aaac1f379684db5259f0e88709d51</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toWrappedPlainText</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a63cb0b158db360f429c2a9dede5b1f87</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toWrappedPlainText</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>afe7006eb85c1e701b01120f2d7988a75</anchor>
      <arglist>(QTextDocument *document) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QByteArray</type>
      <name>imageNamesToContentIds</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a823572150f38e4968730fa547fc62d91</anchor>
      <arglist>(const QByteArray &amp;htmlBody, const ImageList &amp;imageList)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>canInsertFromMimeData</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a26376c38995ea38bc25461031d562239</anchor>
      <arglist>(const QMimeData *source) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createHighlighter</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a13f620713cc2a7b38c8ae0255554b346</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a80adb409d6ad358a8942eb276a26244e</anchor>
      <arglist>(QObject *o, QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>insertFromMimeData</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a3a162e5eb202022caaa7bb78dc3528d8</anchor>
      <arglist>(const QMimeData *source)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>isSpellCheckingEnabled</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a5a0a60b029610bf522e2d5051ca654e5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressEvent</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>ab3fd02ec0efbf5502ed468a279ca3e01</anchor>
      <arglist>(QKeyEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setSpellCheckingEnabled</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a13e7a998a042223ed795572a9d100812</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldBlockBeSpellChecked</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a8657322666ec3bfd584f90da54fe7e35</anchor>
      <arglist>(const QString &amp;block) const </arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KPIMTextEdit::TextUtils</name>
    <filename>namespaceKPIMTextEdit_1_1TextUtils.html</filename>
    <member kind="function">
      <type>KPIMTEXTEDIT_EXPORT bool</type>
      <name>containsFormatting</name>
      <anchorfile>namespaceKPIMTextEdit_1_1TextUtils.html</anchorfile>
      <anchor>a2b2760f189372791045f179e54496586</anchor>
      <arglist>(const QTextDocument *document)</arglist>
    </member>
    <member kind="function">
      <type>KPIMTEXTEDIT_EXPORT QString</type>
      <name>flowText</name>
      <anchorfile>namespaceKPIMTextEdit_1_1TextUtils.html</anchorfile>
      <anchor>aac70677c4de20da72a54111f62786466</anchor>
      <arglist>(QString &amp;text, const QString &amp;indent, int maxLength)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>kpimtextedit</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.10.5/kpimtextedit/</path>
    <filename>dir_39a2bf77ebca431c85ffed86f46f2446.html</filename>
    <file>emailquotehighlighter.cpp</file>
    <file>emailquotehighlighter.h</file>
    <file>emoticontexteditaction.cpp</file>
    <file>emoticontexteditaction.h</file>
    <file>emoticontexteditselector.cpp</file>
    <file>emoticontexteditselector.h</file>
    <file>htmlhighlighter.cpp</file>
    <file>htmlhighlighter.h</file>
    <file>inserthtmldialog.cpp</file>
    <file>inserthtmldialog.h</file>
    <file>insertimagedialog.cpp</file>
    <file>insertimagedialog.h</file>
    <file>insertimagewidget.cpp</file>
    <file>insertimagewidget.h</file>
    <file>inserttabledialog.cpp</file>
    <file>inserttabledialog.h</file>
    <file>kpimtextedit_export.h</file>
    <file>tableactionmenu.cpp</file>
    <file>tableactionmenu.h</file>
    <file>tableformatdialog.cpp</file>
    <file>tableformatdialog.h</file>
    <file>textedit.cpp</file>
    <file>textedit.h</file>
    <file>textutils.cpp</file>
    <file>textutils.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>KPIMTextedit - A textedit with PIM-specific features.</title>
    <filename>index</filename>
    <docanchor file="index" title="Purpose">purpose</docanchor>
    <docanchor file="index" title="Description">desc</docanchor>
  </compound>
</tagfile>
